<?php
// This file was auto-generated from sdk-root/src/data/connect-contact-lens/2020-08-21/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>Contact Lens for Amazon Connect enables you to analyze conversations between customer and agents, by using speech transcription, natural language processing, and intelligent search capabilities. It performs sentiment analysis, detects issues, and enables you to automatically categorize contacts.</p> <p>Contact Lens for Amazon Connect provides both real-time and post-call analytics of customer-agent conversations. For more information, see <a href="https://docs.aws.amazon.com/connect/latest/adminguide/analyze-conversations.html">Analyze conversations using Contact Lens</a> in the <i>Amazon Connect Administrator Guide</i>. </p>', 'operations' => [ 'ListRealtimeContactAnalysisSegments' => '<p>Provides a list of analysis segments for a real-time analysis session.</p>', ], 'shapes' => [ 'AccessDeniedException' => [ 'base' => '<p>You do not have sufficient access to perform this action.</p>', 'refs' => [], ], 'Categories' => [ 'base' => '<p>Provides the category rules that are used to automatically categorize contacts based on uttered keywords and phrases.</p>', 'refs' => [ 'RealtimeContactAnalysisSegment$Categories' => '<p>The matched category rules.</p>', ], ], 'CategoryDetails' => [ 'base' => '<p>Provides information about the category rule that was matched.</p>', 'refs' => [ 'MatchedDetails$value' => NULL, ], ], 'CategoryName' => [ 'base' => NULL, 'refs' => [ 'MatchedCategories$member' => NULL, 'MatchedDetails$key' => NULL, ], ], 'CharacterOffset' => [ 'base' => NULL, 'refs' => [ 'CharacterOffsets$BeginOffsetChar' => '<p>The beginning of the issue.</p>', 'CharacterOffsets$EndOffsetChar' => '<p>The end of the issue.</p>', ], ], 'CharacterOffsets' => [ 'base' => '<p>For characters that were detected as issues, where they occur in the transcript.</p>', 'refs' => [ 'IssueDetected$CharacterOffsets' => '<p>The offset for when the issue was detected in the segment.</p>', ], ], 'ContactId' => [ 'base' => NULL, 'refs' => [ 'ListRealtimeContactAnalysisSegmentsRequest$ContactId' => '<p>The identifier of the contact.</p>', ], ], 'InstanceId' => [ 'base' => NULL, 'refs' => [ 'ListRealtimeContactAnalysisSegmentsRequest$InstanceId' => '<p>The identifier of the Amazon Connect instance.</p>', ], ], 'InternalServiceException' => [ 'base' => '<p>Request processing failed due to an error or failure with the service.</p>', 'refs' => [], ], 'InvalidRequestException' => [ 'base' => '<p>The request is not valid.</p>', 'refs' => [], ], 'IssueDetected' => [ 'base' => '<p>Potential issues that are detected based on an artificial intelligence analysis of each turn in the conversation.</p>', 'refs' => [ 'IssuesDetected$member' => NULL, ], ], 'IssuesDetected' => [ 'base' => NULL, 'refs' => [ 'Transcript$IssuesDetected' => '<p>List of positions where issues were detected on the transcript.</p>', ], ], 'ListRealtimeContactAnalysisSegmentsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListRealtimeContactAnalysisSegmentsResponse' => [ 'base' => NULL, 'refs' => [], ], 'MatchedCategories' => [ 'base' => NULL, 'refs' => [ 'Categories$MatchedCategories' => '<p>The category rules that have been matched in the analyzed segment.</p>', ], ], 'MatchedDetails' => [ 'base' => NULL, 'refs' => [ 'Categories$MatchedDetails' => '<p>The category rule that was matched and when it occurred in the transcript.</p>', ], ], 'MaxResults' => [ 'base' => NULL, 'refs' => [ 'ListRealtimeContactAnalysisSegmentsRequest$MaxResults' => '<p>The maximimum number of results to return per page.</p>', ], ], 'Message' => [ 'base' => NULL, 'refs' => [ 'AccessDeniedException$Message' => NULL, 'InternalServiceException$Message' => NULL, 'InvalidRequestException$Message' => NULL, 'ResourceNotFoundException$Message' => NULL, 'ThrottlingException$Message' => NULL, ], ], 'NextToken' => [ 'base' => NULL, 'refs' => [ 'ListRealtimeContactAnalysisSegmentsRequest$NextToken' => '<p>The token for the next set of results. Use the value returned in the previous response in the next request to retrieve the next set of results.</p>', 'ListRealtimeContactAnalysisSegmentsResponse$NextToken' => '<p>If there are additional results, this is the token for the next set of results. If response includes <code>nextToken</code> there are two possible scenarios:</p> <ul> <li> <p>There are more segments so another call is required to get them.</p> </li> <li> <p>There are no more segments at this time, but more may be available later (real-time analysis is in progress) so the client should call the operation again to get new segments.</p> </li> </ul> <p>If response does not include <code>nextToken</code>, the analysis is completed (successfully or failed) and there are no more segments to retrieve.</p>', ], ], 'OffsetMillis' => [ 'base' => NULL, 'refs' => [ 'PointOfInterest$BeginOffsetMillis' => '<p>The beginning offset in milliseconds where the category rule was detected.</p>', 'PointOfInterest$EndOffsetMillis' => '<p>The ending offset in milliseconds where the category rule was detected.</p>', 'Transcript$BeginOffsetMillis' => '<p>The beginning offset in the contact for this transcript.</p>', 'Transcript$EndOffsetMillis' => '<p>The end offset in the contact for this transcript.</p>', ], ], 'ParticipantId' => [ 'base' => NULL, 'refs' => [ 'Transcript$ParticipantId' => '<p>The identifier of the participant.</p>', ], ], 'ParticipantRole' => [ 'base' => NULL, 'refs' => [ 'Transcript$ParticipantRole' => '<p>The role of participant. For example, is it a customer, agent, or system.</p>', ], ], 'PointOfInterest' => [ 'base' => '<p>The section of the contact audio where that category rule was detected.</p>', 'refs' => [ 'PointsOfInterest$member' => NULL, ], ], 'PointsOfInterest' => [ 'base' => NULL, 'refs' => [ 'CategoryDetails$PointsOfInterest' => '<p>The section of audio where the category rule was detected.</p>', ], ], 'RealtimeContactAnalysisSegment' => [ 'base' => '<p>An analyzed segment for a real-time analysis session.</p>', 'refs' => [ 'RealtimeContactAnalysisSegments$member' => NULL, ], ], 'RealtimeContactAnalysisSegments' => [ 'base' => NULL, 'refs' => [ 'ListRealtimeContactAnalysisSegmentsResponse$Segments' => '<p>An analyzed transcript or category.</p>', ], ], 'ResourceNotFoundException' => [ 'base' => '<p>The specified resource was not found.</p>', 'refs' => [], ], 'SentimentValue' => [ 'base' => NULL, 'refs' => [ 'Transcript$Sentiment' => '<p>The sentiment of the detected for this piece of transcript.</p>', ], ], 'ThrottlingException' => [ 'base' => '<p>The throttling limit has been exceeded.</p>', 'refs' => [], ], 'Transcript' => [ 'base' => '<p>A list of messages in the session.</p>', 'refs' => [ 'RealtimeContactAnalysisSegment$Transcript' => '<p>The analyzed transcript.</p>', ], ], 'TranscriptContent' => [ 'base' => NULL, 'refs' => [ 'Transcript$Content' => '<p>The content of the transcript.</p>', ], ], 'TranscriptId' => [ 'base' => NULL, 'refs' => [ 'Transcript$Id' => '<p>The identifier of the transcript.</p>', ], ], ],];
