<?php
// This file was auto-generated from sdk-root/src/data/macie2/2020-01-01/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>Amazon Macie is a fully managed data security and data privacy service that uses machine learning and pattern matching to discover and protect your sensitive data in AWS. Macie automates the discovery of sensitive data, such as PII and intellectual property, to provide you with insight into the data that your organization stores in AWS. Macie also provides an inventory of your Amazon S3 buckets, which it continually monitors for you. If Macie detects sensitive data or potential data access issues, it generates detailed findings for you to review and act upon as necessary.</p>', 'operations' => [ 'AcceptInvitation' => '<p>Accepts an Amazon Macie membership invitation that was received from a specific account.</p>', 'BatchGetCustomDataIdentifiers' => '<p>Retrieves information about one or more custom data identifiers.</p>', 'CreateClassificationJob' => ' <p>Creates and defines the settings for a classification job.</p>', 'CreateCustomDataIdentifier' => '<p>Creates and defines the criteria and other settings for a custom data identifier.</p>', 'CreateFindingsFilter' => '<p>Creates and defines the criteria and other settings for a findings filter.</p>', 'CreateInvitations' => '<p>Sends an Amazon Macie membership invitation to one or more accounts.</p>', 'CreateMember' => '<p>Associates an account with an Amazon Macie administrator account.</p>', 'CreateSampleFindings' => '<p>Creates sample findings.</p>', 'DeclineInvitations' => '<p>Declines Amazon Macie membership invitations that were received from specific accounts.</p>', 'DeleteCustomDataIdentifier' => '<p>Soft deletes a custom data identifier.</p>', 'DeleteFindingsFilter' => '<p>Deletes a findings filter.</p>', 'DeleteInvitations' => '<p>Deletes Amazon Macie membership invitations that were received from specific accounts.</p>', 'DeleteMember' => '<p>Deletes the association between an Amazon Macie administrator account and an account.</p>', 'DescribeBuckets' => ' <p>Retrieves (queries) statistical data and other information about one or more S3 buckets that Amazon Macie monitors and analyzes.</p>', 'DescribeClassificationJob' => '<p>Retrieves the status and settings for a classification job.</p>', 'DescribeOrganizationConfiguration' => '<p>Retrieves the Amazon Macie configuration settings for an Amazon Web Services organization.</p>', 'DisableMacie' => '<p>Disables an Amazon Macie account and deletes Macie resources for the account.</p>', 'DisableOrganizationAdminAccount' => '<p>Disables an account as the delegated Amazon Macie administrator account for an Amazon Web Services organization.</p>', 'DisassociateFromAdministratorAccount' => '<p>Disassociates a member account from its Amazon Macie administrator account.</p>', 'DisassociateFromMasterAccount' => '<p>(Deprecated) Disassociates a member account from its Amazon Macie administrator account. This operation has been replaced by the <link linkend="DisassociateFromAdministratorAccount">DisassociateFromAdministratorAccount</link> operation.</p>', 'DisassociateMember' => '<p>Disassociates an Amazon Macie administrator account from a member account.</p>', 'EnableMacie' => '<p>Enables Amazon Macie and specifies the configuration settings for a Macie account.</p>', 'EnableOrganizationAdminAccount' => '<p>Designates an account as the delegated Amazon Macie administrator account for an Amazon Web Services organization.</p>', 'GetAdministratorAccount' => '<p>Retrieves information about the Amazon Macie administrator account for an account.</p>', 'GetBucketStatistics' => ' <p>Retrieves (queries) aggregated statistical data for all the S3 buckets that Amazon Macie monitors and analyzes.</p>', 'GetClassificationExportConfiguration' => '<p>Retrieves the configuration settings for storing data classification results.</p>', 'GetCustomDataIdentifier' => '<p>Retrieves the criteria and other settings for a custom data identifier.</p>', 'GetFindingStatistics' => ' <p>Retrieves (queries) aggregated statistical data about findings.</p>', 'GetFindings' => '<p>Retrieves the details of one or more findings.</p>', 'GetFindingsFilter' => '<p>Retrieves the criteria and other settings for a findings filter.</p>', 'GetFindingsPublicationConfiguration' => '<p>Retrieves the configuration settings for publishing findings to Security Hub.</p>', 'GetInvitationsCount' => '<p>Retrieves the count of Amazon Macie membership invitations that were received by an account.</p>', 'GetMacieSession' => '<p>Retrieves the current status and configuration settings for an Amazon Macie account.</p>', 'GetMasterAccount' => '<p>(Deprecated) Retrieves information about the Amazon Macie administrator account for an account. This operation has been replaced by the <link linkend="GetAdministratorAccount">GetAdministratorAccount</link> operation.</p>', 'GetMember' => '<p>Retrieves information about an account that\'s associated with an Amazon Macie administrator account.</p>', 'GetUsageStatistics' => '<p>Retrieves (queries) quotas and aggregated usage data for one or more accounts.</p>', 'GetUsageTotals' => '<p>Retrieves (queries) aggregated usage data for an account.</p>', 'ListClassificationJobs' => '<p>Retrieves a subset of information about one or more classification jobs.</p>', 'ListCustomDataIdentifiers' => '<p>Retrieves a subset of information about all the custom data identifiers for an account.</p>', 'ListFindings' => '<p>Retrieves a subset of information about one or more findings.</p>', 'ListFindingsFilters' => '<p>Retrieves a subset of information about all the findings filters for an account.</p>', 'ListInvitations' => '<p>Retrieves information about all the Amazon Macie membership invitations that were received by an account.</p>', 'ListMembers' => '<p>Retrieves information about the accounts that are associated with an Amazon Macie administrator account.</p>', 'ListOrganizationAdminAccounts' => '<p>Retrieves information about the delegated Amazon Macie administrator account for an Amazon Web Services organization.</p>', 'ListTagsForResource' => '<p>Retrieves the tags (keys and values) that are associated with a classification job, custom data identifier, findings filter, or member account.</p>', 'PutClassificationExportConfiguration' => '<p>Creates or updates the configuration settings for storing data classification results.</p>', 'PutFindingsPublicationConfiguration' => '<p>Updates the configuration settings for publishing findings to Security Hub.</p>', 'SearchResources' => '<p>Retrieves (queries) statistical data and other information about Amazon Web Services resources that Amazon Macie monitors and analyzes.</p>', 'TagResource' => '<p>Adds or updates one or more tags (keys and values) that are associated with a classification job, custom data identifier, findings filter, or member account.</p>', 'TestCustomDataIdentifier' => '<p>Tests a custom data identifier.</p>', 'UntagResource' => '<p>Removes one or more tags (keys and values) from a classification job, custom data identifier, findings filter, or member account.</p>', 'UpdateClassificationJob' => '<p>Changes the status of a classification job.</p>', 'UpdateFindingsFilter' => '<p>Updates the criteria and other settings for a findings filter.</p>', 'UpdateMacieSession' => '<p>Suspends or re-enables an Amazon Macie account, or updates the configuration settings for a Macie account.</p>', 'UpdateMemberSession' => '<p>Enables an Amazon Macie administrator to suspend or re-enable a member account.</p>', 'UpdateOrganizationConfiguration' => '<p>Updates the Amazon Macie configuration settings for an Amazon Web Services organization.</p>', ], 'shapes' => [ 'AcceptInvitationRequest' => [ 'base' => '<p>Specifies an Amazon Macie membership invitation to accept. In the request, you have to specify the ID for the Amazon Web Services account that sent the invitation. Otherwise, a validation error occurs. To specify this ID, we recommend that you use the administratorAccountId property instead of the masterAccount property. The masterAccount property has been deprecated and is retained only for backward compatibility.</p>', 'refs' => [], ], 'AccessControlList' => [ 'base' => '<p>Provides information about the permissions settings of the bucket-level access control list (ACL) for an S3 bucket.</p>', 'refs' => [ 'BucketLevelPermissions$AccessControlList' => '<p>The permissions settings of the access control list (ACL) for the bucket. This value is null if an ACL hasn\'t been defined for the bucket.</p>', ], ], 'AccessDeniedException' => [ 'base' => '<p>Provides information about an error that occurred due to insufficient access to a specified resource.</p>', 'refs' => [], ], 'AccountDetail' => [ 'base' => '<p>Specifies the details of an account to associate with an Amazon Macie administrator account.</p>', 'refs' => [ 'CreateMemberRequest$Account' => '<p>The details of the account to associate with the administrator account.</p>', ], ], 'AccountLevelPermissions' => [ 'base' => '<p>Provides information about the account-level permissions settings that apply to an S3 bucket.</p>', 'refs' => [ 'BucketPermissionConfiguration$AccountLevelPermissions' => '<p>The account-level permissions settings that apply to the bucket.</p>', ], ], 'AdminAccount' => [ 'base' => '<p>Provides information about the delegated Amazon Macie administrator account for an Amazon Web Services organization.</p>', 'refs' => [ '__listOfAdminAccount$member' => NULL, ], ], 'AdminStatus' => [ 'base' => '<p>The current status of an account as the delegated Amazon Macie administrator account for an Amazon Web Services organization. Possible values are:</p>', 'refs' => [ 'AdminAccount$Status' => '<p>The current status of the account as the delegated administrator of Amazon Macie for the organization.</p>', ], ], 'AllowsUnencryptedObjectUploads' => [ 'base' => NULL, 'refs' => [ 'BucketMetadata$AllowsUnencryptedObjectUploads' => '<p>Specifies whether the bucket policy for the bucket requires server-side encryption of objects when objects are uploaded to the bucket. Possible values are:</p> <ul><li><p>FALSE - The bucket policy requires server-side encryption of new objects. PutObject requests must include the x-amz-server-side-encryption header and the value for that header must be AES256 or aws:kms.</p></li> <li><p>TRUE - The bucket doesn\'t have a bucket policy or it has a bucket policy that doesn\'t require server-side encryption of new objects. If a bucket policy exists, it doesn\'t require PutObject requests to include the x-amz-server-side-encryption header and it doesn\'t require the value for that header to be AES256 or aws:kms.</p></li> <li><p>UNKNOWN - Amazon Macie can\'t determine whether the bucket policy requires server-side encryption of new objects.</p></li></ul>', 'S3Bucket$AllowsUnencryptedObjectUploads' => '<p>Specifies whether the bucket policy for the bucket requires server-side encryption of objects when objects are uploaded to the bucket. Possible values are:</p> <ul><li><p>FALSE - The bucket policy requires server-side encryption of new objects. PutObject requests must include the x-amz-server-side-encryption header and the value for that header must be AES256 or aws:kms.</p></li> <li><p>TRUE - The bucket doesn\'t have a bucket policy or it has a bucket policy that doesn\'t require server-side encryption of new objects. If a bucket policy exists, it doesn\'t require PutObject requests to include the x-amz-server-side-encryption header and it doesn\'t require the value for that header to be AES256 or aws:kms.</p></li> <li><p>UNKNOWN - Amazon Macie can\'t determine whether the bucket policy requires server-side encryption of objects.</p></li></ul>', ], ], 'ApiCallDetails' => [ 'base' => '<p>Provides information about an API operation that an entity invoked for an affected resource.</p>', 'refs' => [ 'FindingAction$ApiCallDetails' => '<p>The invocation details of the API operation that an entity invoked for the affected resource, if the value for the actionType property is AWS_API_CALL.</p>', ], ], 'AssumedRole' => [ 'base' => '<p>Provides information about an identity that performed an action on an affected resource by using temporary security credentials. The credentials were obtained using the AssumeRole operation of the Security Token Service (STS) API.</p>', 'refs' => [ 'UserIdentity$AssumedRole' => '<p>If the action was performed with temporary security credentials that were obtained using the AssumeRole operation of the Security Token Service (STS) API, the identifiers, session context, and other details about the identity.</p>', ], ], 'AwsAccount' => [ 'base' => '<p>Provides information about an Amazon Web Services account and entity that performed an action on an affected resource. The action was performed using the credentials for an Amazon Web Services account other than your own account.</p>', 'refs' => [ 'UserIdentity$AwsAccount' => '<p>If the action was performed using the credentials for another Amazon Web Services account, the details of that account.</p>', ], ], 'AwsService' => [ 'base' => '<p>Provides information about an Amazon Web Service that performed an action on an affected resource.</p>', 'refs' => [ 'UserIdentity$AwsService' => '<p>If the action was performed by an Amazon Web Services account that belongs to an Amazon Web Service, the name of the service.</p>', ], ], 'BatchGetCustomDataIdentifierSummary' => [ 'base' => '<p>Provides information about a custom data identifier.</p>', 'refs' => [ '__listOfBatchGetCustomDataIdentifierSummary$member' => NULL, ], ], 'BatchGetCustomDataIdentifiersRequest' => [ 'base' => '<p>Specifies one or more custom data identifiers to retrieve information about.</p>', 'refs' => [], ], 'BatchGetCustomDataIdentifiersResponse' => [ 'base' => '<p>Provides information about one or more custom data identifiers.</p>', 'refs' => [], ], 'BlockPublicAccess' => [ 'base' => '<p>Provides information about the block public access settings for an S3 bucket. These settings can apply to a bucket at the account level or bucket level. For detailed information about each setting, see <a href="https://docs.aws.amazon.com/AmazonS3/latest/userguide/access-control-block-public-access.html">Blocking public access to your Amazon S3 storage</a> in the <i>Amazon Simple Storage Service User Guide</i>.</p>', 'refs' => [ 'AccountLevelPermissions$BlockPublicAccess' => '<p>The block public access settings for the Amazon Web Services account that owns the bucket.</p>', 'BucketLevelPermissions$BlockPublicAccess' => '<p>The block public access settings for the bucket.</p>', ], ], 'BucketCountByEffectivePermission' => [ 'base' => '<p>Provides information about the number of S3 buckets that are publicly accessible based on a combination of permissions settings for each bucket.</p>', 'refs' => [ 'GetBucketStatisticsResponse$BucketCountByEffectivePermission' => '<p>The total number of buckets that are publicly accessible based on a combination of permissions settings for each bucket.</p>', ], ], 'BucketCountByEncryptionType' => [ 'base' => '<p>Provides information about the number of S3 buckets that use certain types of server-side encryption by default or don\'t encrypt new objects by default. For detailed information about these settings, see <a href="https://docs.aws.amazon.com/AmazonS3/latest/userguide/bucket-encryption.html">Setting default server-side encryption behavior for Amazon S3 buckets</a> in the <i>Amazon Simple Storage Service User Guide</i>.</p>', 'refs' => [ 'GetBucketStatisticsResponse$BucketCountByEncryptionType' => '<p>The total number of buckets that use certain types of server-side encryption to encrypt new objects by default. This object also reports the total number of buckets that don\'t encrypt new objects by default.</p>', ], ], 'BucketCountBySharedAccessType' => [ 'base' => '<p>Provides information about the number of S3 buckets that are or aren\'t shared with other Amazon Web Services accounts.</p>', 'refs' => [ 'GetBucketStatisticsResponse$BucketCountBySharedAccessType' => '<p>The total number of buckets that are or aren\'t shared with another Amazon Web Services account.</p>', ], ], 'BucketCountPolicyAllowsUnencryptedObjectUploads' => [ 'base' => '<p>Provides information about the number of S3 buckets whose bucket policies do or don\'t require server-side encryption of objects when objects are uploaded to the buckets.</p>', 'refs' => [ 'GetBucketStatisticsResponse$BucketCountByObjectEncryptionRequirement' => '<p>The total number of buckets whose bucket policies do or don\'t require server-side encryption of objects when objects are uploaded to the buckets.</p>', ], ], 'BucketCriteria' => [ 'base' => '<p>Specifies, as a map, one or more property-based conditions that filter the results of a query for information about S3 buckets.</p>', 'refs' => [ 'DescribeBucketsRequest$Criteria' => '<p>The criteria to use to filter the query results.</p>', ], ], 'BucketCriteriaAdditionalProperties' => [ 'base' => '<p>Specifies the operator to use in a property-based condition that filters the results of a query for information about S3 buckets.</p>', 'refs' => [ 'BucketCriteria$member' => NULL, ], ], 'BucketLevelPermissions' => [ 'base' => '<p>Provides information about the bucket-level permissions settings for an S3 bucket.</p>', 'refs' => [ 'BucketPermissionConfiguration$BucketLevelPermissions' => '<p>The bucket-level permissions settings for the bucket.</p>', ], ], 'BucketMetadata' => [ 'base' => '<p>Provides information about an S3 bucket that Amazon Macie monitors and analyzes.</p>', 'refs' => [ '__listOfBucketMetadata$member' => NULL, ], ], 'BucketPermissionConfiguration' => [ 'base' => '<p>Provides information about the account-level and bucket-level permissions settings for an S3 bucket.</p>', 'refs' => [ 'BucketPublicAccess$PermissionConfiguration' => '<p>The account-level and bucket-level permissions settings for the bucket.</p>', ], ], 'BucketPolicy' => [ 'base' => '<p>Provides information about the permissions settings of the bucket policy for an S3 bucket.</p>', 'refs' => [ 'BucketLevelPermissions$BucketPolicy' => '<p>The permissions settings of the bucket policy for the bucket. This value is null if a bucket policy hasn\'t been defined for the bucket.</p>', ], ], 'BucketPublicAccess' => [ 'base' => '<p>Provides information about the permissions settings that determine whether an S3 bucket is publicly accessible.</p>', 'refs' => [ 'BucketMetadata$PublicAccess' => '<p>Specifies whether the bucket is publicly accessible due to the combination of permissions settings that apply to the bucket, and provides information about those settings.</p>', 'S3Bucket$PublicAccess' => '<p>The permissions settings that determine whether the bucket is publicly accessible.</p>', ], ], 'BucketServerSideEncryption' => [ 'base' => '<p>Provides information about the default server-side encryption settings for an S3 bucket. For detailed information about these settings, see <a href="https://docs.aws.amazon.com/AmazonS3/latest/userguide/bucket-encryption.html">Setting default server-side encryption behavior for Amazon S3 buckets</a> in the <i>Amazon Simple Storage Service User Guide</i>.</p>', 'refs' => [ 'BucketMetadata$ServerSideEncryption' => '<p>Specifies whether the bucket encrypts new objects by default and, if so, the type of server-side encryption that\'s used.</p>', ], ], 'BucketSortCriteria' => [ 'base' => '<p>Specifies criteria for sorting the results of a query for information about S3 buckets.</p>', 'refs' => [ 'DescribeBucketsRequest$SortCriteria' => '<p>The criteria to use to sort the query results.</p>', ], ], 'Cell' => [ 'base' => '<p>Specifies the location of an occurrence of sensitive data in a Microsoft Excel workbook, CSV file, or TSV file.</p>', 'refs' => [ 'Cells$member' => NULL, ], ], 'Cells' => [ 'base' => '<p>Specifies the location of occurrences of sensitive data in a Microsoft Excel workbook, CSV file, or TSV file.</p>', 'refs' => [ 'Occurrences$Cells' => '<p>An array of objects, one for each occurrence of sensitive data in a Microsoft Excel workbook, CSV file, or TSV file. This value is null for all other types of files.</p><p>Each Cell object specifies a cell or field that contains the sensitive data.</p>', ], ], 'ClassificationDetails' => [ 'base' => '<p>Provides information about a sensitive data finding, including the classification job that produced the finding.</p>', 'refs' => [ 'Finding$ClassificationDetails' => '<p>The details of a sensitive data finding. This value is null for a policy finding.</p>', ], ], 'ClassificationExportConfiguration' => [ 'base' => '<p>Specifies where to store data classification results, and the encryption settings to use when storing results in that location. Currently, you can store classification results only in an S3 bucket.</p>', 'refs' => [ 'GetClassificationExportConfigurationResponse$Configuration' => '<p>The location where data classification results are stored, and the encryption settings that are used when storing results in that location.</p>', 'PutClassificationExportConfigurationRequest$Configuration' => '<p>The location to store data classification results in, and the encryption settings to use when storing results in that location.</p>', 'PutClassificationExportConfigurationResponse$Configuration' => '<p>The location where the data classification results are stored, and the encryption settings that are used when storing results in that location.</p>', ], ], 'ClassificationResult' => [ 'base' => '<p>Provides the details of a sensitive data finding, including the types, number of occurrences, and locations of the sensitive data that was detected.</p>', 'refs' => [ 'ClassificationDetails$Result' => '<p>The status and other details of the finding.</p>', ], ], 'ClassificationResultStatus' => [ 'base' => '<p>Provides information about the status of a sensitive data finding.</p>', 'refs' => [ 'ClassificationResult$Status' => '<p>The status of the finding.</p>', ], ], 'ConflictException' => [ 'base' => '<p>Provides information about an error that occurred due to a versioning conflict for a specified resource.</p>', 'refs' => [], ], 'CreateClassificationJobRequest' => [ 'base' => '<p>Specifies the scope, schedule, and other settings for a classification job. You can\'t change any settings for a classification job after you create it. This helps ensure that you have an immutable history of sensitive data findings and discovery results for data privacy and protection audits or investigations.</p>', 'refs' => [], ], 'CreateClassificationJobResponse' => [ 'base' => '<p>Provides information about a classification job that was created in response to a request.</p>', 'refs' => [], ], 'CreateCustomDataIdentifierRequest' => [ 'base' => ' <p>Specifies the criteria and other settings for a new custom data identifier. You can\'t change a custom data identifier after you create it. This helps ensure that you have an immutable history of sensitive data findings and discovery results for data privacy and protection audits or investigations.</p>', 'refs' => [], ], 'CreateCustomDataIdentifierResponse' => [ 'base' => '<p>Provides information about a custom data identifier that was created in response to a request.</p>', 'refs' => [], ], 'CreateFindingsFilterRequest' => [ 'base' => '<p>Specifies the criteria and other settings for a new findings filter.</p>', 'refs' => [], ], 'CreateFindingsFilterResponse' => [ 'base' => '<p>Provides information about a findings filter that was created in response to a request.</p>', 'refs' => [], ], 'CreateInvitationsRequest' => [ 'base' => '<p>Specifies the settings for an Amazon Macie membership invitation.</p>', 'refs' => [], ], 'CreateInvitationsResponse' => [ 'base' => '<p>Provides information about an unprocessed request to send an Amazon Macie membership invitation to a specific account.</p>', 'refs' => [], ], 'CreateMemberRequest' => [ 'base' => '<p>Specifies an Amazon Web Services account to associate with an Amazon Macie administrator account.</p>', 'refs' => [], ], 'CreateMemberResponse' => [ 'base' => '<p>Provides information about a request to associate an account with an Amazon Macie administrator account.</p>', 'refs' => [], ], 'CreateSampleFindingsRequest' => [ 'base' => '<p>Specifies the types of findings to include in a set of sample findings that Amazon Macie creates.</p>', 'refs' => [], ], 'CriteriaBlockForJob' => [ 'base' => '<p>Specifies one or more property- and tag-based conditions that define criteria for including or excluding S3 buckets from a classification job.</p>', 'refs' => [ 'S3BucketCriteriaForJob$Excludes' => '<p>The property- and tag-based conditions that determine which buckets to exclude from the job.</p>', 'S3BucketCriteriaForJob$Includes' => '<p>The property- and tag-based conditions that determine which buckets to include in the job.</p>', ], ], 'CriteriaForJob' => [ 'base' => '<p>Specifies a property- or tag-based condition that defines criteria for including or excluding S3 buckets from a classification job.</p>', 'refs' => [ '__listOfCriteriaForJob$member' => NULL, ], ], 'Criterion' => [ 'base' => '<p>Specifies a condition that defines a property, operator, and one or more values to filter the results of a query for findings. The number of values depends on the property and operator specified by the condition. For information about defining filter conditions, see <a href="https://docs.aws.amazon.com/macie/latest/user/findings-filter-basics.html">Fundamentals of filtering findings</a> in the <i>Amazon Macie User Guide</i>.</p>', 'refs' => [ 'FindingCriteria$Criterion' => '<p>A condition that specifies the property, operator, and one or more values to use to filter the results.</p>', ], ], 'CriterionAdditionalProperties' => [ 'base' => '<p>Specifies the operator to use in a property-based condition that filters the results of a query for findings. For detailed information and examples of each operator, see <a href="https://docs.aws.amazon.com/macie/latest/user/findings-filter-basics.html">Fundamentals of filtering findings</a> in the <i>Amazon Macie User Guide</i>.</p>', 'refs' => [ 'Criterion$member' => NULL, ], ], 'Currency' => [ 'base' => '<p>The type of currency that the data for an Amazon Macie usage metric is reported in. Possible values are:</p>', 'refs' => [ 'UsageByAccount$Currency' => '<p>The type of currency that the value for the metric (estimatedCost) is reported in.</p>', 'UsageTotal$Currency' => '<p>The type of currency that the value for the metric (estimatedCost) is reported in.</p>', ], ], 'CustomDataIdentifierSummary' => [ 'base' => '<p>Provides information about a custom data identifier.</p>', 'refs' => [ '__listOfCustomDataIdentifierSummary$member' => NULL, ], ], 'CustomDataIdentifiers' => [ 'base' => '<p>Provides information about custom data identifiers that produced a sensitive data finding, and the number of occurrences of the data that they detected for the finding.</p>', 'refs' => [ 'ClassificationResult$CustomDataIdentifiers' => '<p>The custom data identifiers that detected the sensitive data and the number of occurrences of the data that they detected.</p>', ], ], 'CustomDetection' => [ 'base' => '<p>Provides information about a custom data identifier that produced a sensitive data finding, and the sensitive data that it detected for the finding.</p>', 'refs' => [ 'CustomDetections$member' => NULL, ], ], 'CustomDetections' => [ 'base' => '<p>Provides information about custom data identifiers that produced a sensitive data finding, and the number of occurrences of the data that each identifier detected.</p>', 'refs' => [ 'CustomDataIdentifiers$Detections' => '<p>The custom data identifiers that detected the data, and the number of occurrences of the data that each identifier detected.</p>', ], ], 'DailySchedule' => [ 'base' => '<p>Specifies that a classification job runs once a day, every day. This is an empty object.</p>', 'refs' => [ 'JobScheduleFrequency$DailySchedule' => '<p>Specifies a daily recurrence pattern for running the job.</p>', ], ], 'DayOfWeek' => [ 'base' => NULL, 'refs' => [ 'WeeklySchedule$DayOfWeek' => '<p>The day of the week when Amazon Macie runs the job.</p>', ], ], 'DeclineInvitationsRequest' => [ 'base' => '<p>Specifies one or more accounts that sent Amazon Macie membership invitations to decline.</p>', 'refs' => [], ], 'DeclineInvitationsResponse' => [ 'base' => '<p>Provides information about unprocessed requests to decline Amazon Macie membership invitations that were received from specific accounts.</p>', 'refs' => [], ], 'DefaultDetection' => [ 'base' => '<p>Provides information about a type of sensitive data that was detected by managed data identifiers and produced a sensitive data finding.</p>', 'refs' => [ 'DefaultDetections$member' => NULL, ], ], 'DefaultDetections' => [ 'base' => '<p>Provides information about sensitive data that was detected by managed data identifiers and produced a sensitive data finding, and the number of occurrences of each type of sensitive data that was detected.</p>', 'refs' => [ 'SensitiveDataItem$Detections' => '<p>An array of objects, one for each type of sensitive data that was detected. Each object reports the number of occurrences of a specific type of sensitive data that was detected, and the location of up to 15 of those occurrences.</p>', ], ], 'DeleteInvitationsRequest' => [ 'base' => '<p>Specifies one or more accounts that sent Amazon Macie membership invitations to delete.</p>', 'refs' => [], ], 'DeleteInvitationsResponse' => [ 'base' => '<p>Provides information about unprocessed requests to delete Amazon Macie membership invitations that were received from specific accounts.</p>', 'refs' => [], ], 'DescribeBucketsRequest' => [ 'base' => '<p>Specifies criteria for filtering, sorting, and paginating the results of a query for statistical data and other information about S3 buckets.</p>', 'refs' => [], ], 'DescribeBucketsResponse' => [ 'base' => '<p>Provides the results of a query that retrieved statistical data and other information about one or more S3 buckets that Amazon Macie monitors and analyzes.</p>', 'refs' => [], ], 'DescribeClassificationJobResponse' => [ 'base' => '<p>Provides information about a classification job, including the current configuration settings and status of the job.</p>', 'refs' => [], ], 'DescribeOrganizationConfigurationResponse' => [ 'base' => '<p>Provides information about the Amazon Macie configuration settings for an Amazon Web Services organization.</p>', 'refs' => [], ], 'DomainDetails' => [ 'base' => '<p>Provides information about the domain name of the device that an entity used to perform an action on an affected resource.</p>', 'refs' => [ 'FindingActor$DomainDetails' => '<p>The domain name of the device that the entity used to perform the action on the affected resource.</p>', ], ], 'EffectivePermission' => [ 'base' => NULL, 'refs' => [ 'BucketPublicAccess$EffectivePermission' => ' <p>Specifies whether the bucket is publicly accessible due to the combination of permissions settings that apply to the bucket. Possible values are:</p> <ul><li><p>NOT_PUBLIC - The bucket isn\'t publicly accessible.</p></li> <li><p>PUBLIC - The bucket is publicly accessible.</p></li> <li><p>UNKNOWN - Amazon Macie can\'t determine whether the bucket is publicly accessible.</p></li></ul>', ], ], 'Empty' => [ 'base' => '<p>The request succeeded and there isn\'t any content to include in the body of the response (No Content).</p>', 'refs' => [], ], 'EnableMacieRequest' => [ 'base' => '<p>Enables Amazon Macie and specifies the configuration settings for a Macie account.</p>', 'refs' => [], ], 'EnableOrganizationAdminAccountRequest' => [ 'base' => '<p>Specifies an account to designate as a delegated Amazon Macie administrator account for an Amazon Web Services organization. To submit this request, you must be a user of the management account for the Amazon Web Services organization.</p>', 'refs' => [], ], 'EncryptionType' => [ 'base' => '<p>The type of server-side encryption that\'s used to encrypt an S3 object or objects in an S3 bucket. Valid values are:</p>', 'refs' => [ 'ServerSideEncryption$EncryptionType' => '<p>The server-side encryption algorithm that\'s used when storing data in the bucket or object. If default encryption is disabled for the bucket or the object isn\'t encrypted using server-side encryption, this value is NONE.</p>', ], ], 'ErrorCode' => [ 'base' => '<p>The source of an issue or delay. Possible values are:</p>', 'refs' => [ 'UnprocessedAccount$ErrorCode' => '<p>The source of the issue or delay in processing the request.</p>', ], ], 'FederatedUser' => [ 'base' => '<p>Provides information about an identity that performed an action on an affected resource by using temporary security credentials. The credentials were obtained using the GetFederationToken operation of the Security Token Service (STS) API.</p>', 'refs' => [ 'UserIdentity$FederatedUser' => '<p>If the action was performed with temporary security credentials that were obtained using the GetFederationToken operation of the Security Token Service (STS) API, the identifiers, session context, and other details about the identity.</p>', ], ], 'Finding' => [ 'base' => '<p>Provides the details of a finding.</p>', 'refs' => [ '__listOfFinding$member' => NULL, ], ], 'FindingAction' => [ 'base' => '<p>Provides information about an action that occurred for a resource and produced a policy finding.</p>', 'refs' => [ 'PolicyDetails$Action' => '<p>The action that produced the finding.</p>', ], ], 'FindingActionType' => [ 'base' => '<p>The type of action that occurred for the resource and produced the policy finding:</p>', 'refs' => [ 'FindingAction$ActionType' => '<p>The type of action that occurred for the affected resource. This value is typically AWS_API_CALL, which indicates that an entity invoked an API operation for the resource.</p>', ], ], 'FindingActor' => [ 'base' => '<p>Provides information about an entity that performed an action that produced a policy finding for a resource.</p>', 'refs' => [ 'PolicyDetails$Actor' => '<p>The entity that performed the action that produced the finding.</p>', ], ], 'FindingCategory' => [ 'base' => '<p>The category of the finding. Valid values are:</p>', 'refs' => [ 'Finding$Category' => '<p>The category of the finding. Possible values are: CLASSIFICATION, for a sensitive data finding; and, POLICY, for a policy finding.</p>', ], ], 'FindingCriteria' => [ 'base' => '<p>Specifies, as a map, one or more property-based conditions that filter the results of a query for findings.</p>', 'refs' => [ 'CreateFindingsFilterRequest$FindingCriteria' => '<p>The criteria to use to filter findings.</p>', 'GetFindingStatisticsRequest$FindingCriteria' => '<p>The criteria to use to filter the query results.</p>', 'GetFindingsFilterResponse$FindingCriteria' => '<p>The criteria that\'s used to filter findings.</p>', 'ListFindingsRequest$FindingCriteria' => '<p>The criteria to use to filter the results.</p>', 'UpdateFindingsFilterRequest$FindingCriteria' => '<p>The criteria to use to filter findings.</p>', ], ], 'FindingPublishingFrequency' => [ 'base' => '<p>The frequency with which Amazon Macie publishes updates to policy findings for an account. This includes publishing updates to Security Hub and Amazon EventBridge (formerly called Amazon CloudWatch Events). For more information, see <a href="https://docs.aws.amazon.com/macie/latest/user/findings-monitor.html">Monitoring and processing findings</a> in the <i>Amazon Macie User Guide</i>. Valid values are:</p>', 'refs' => [ 'EnableMacieRequest$FindingPublishingFrequency' => '<p>Specifies how often to publish updates to policy findings for the account. This includes publishing updates to Security Hub and Amazon EventBridge (formerly called Amazon CloudWatch Events).</p>', 'GetMacieSessionResponse$FindingPublishingFrequency' => '<p>The frequency with which Macie publishes updates to policy findings for the account. This includes publishing updates to Security Hub and Amazon EventBridge (formerly called Amazon CloudWatch Events).</p>', 'UpdateMacieSessionRequest$FindingPublishingFrequency' => '<p>Specifies how often to publish updates to policy findings for the account. This includes publishing updates to Security Hub and Amazon EventBridge (formerly called Amazon CloudWatch Events).</p>', ], ], 'FindingStatisticsSortAttributeName' => [ 'base' => '<p>The grouping to sort the results by. Valid values are:</p>', 'refs' => [ 'FindingStatisticsSortCriteria$AttributeName' => '<p>The grouping to sort the results by. Valid values are: count, sort the results by the number of findings in each group of results; and, groupKey, sort the results by the name of each group of results.</p>', ], ], 'FindingStatisticsSortCriteria' => [ 'base' => '<p>Specifies criteria for sorting the results of a query that retrieves aggregated statistical data about findings.</p>', 'refs' => [ 'GetFindingStatisticsRequest$SortCriteria' => '<p>The criteria to use to sort the query results.</p>', ], ], 'FindingType' => [ 'base' => '<p>The type of finding. For details about each type, see <a href="https://docs.aws.amazon.com/macie/latest/user/findings-types.html">Types of Amazon Macie findings</a> in the <i>Amazon Macie User Guide</i>. Valid values are:</p>', 'refs' => [ 'Finding$Type' => '<p>The type of the finding.</p>', '__listOfFindingType$member' => NULL, ], ], 'FindingsFilterAction' => [ 'base' => '<p>The action to perform on findings that meet the filter criteria. To suppress (automatically archive) findings that meet the criteria, set this value to ARCHIVE. Valid values are:</p>', 'refs' => [ 'CreateFindingsFilterRequest$Action' => '<p>The action to perform on findings that meet the filter criteria (findingCriteria). Valid values are: ARCHIVE, suppress (automatically archive) the findings; and, NOOP, don\'t perform any action on the findings.</p>', 'FindingsFilterListItem$Action' => '<p>The action that\'s performed on findings that meet the filter criteria. Possible values are: ARCHIVE, suppress (automatically archive) the findings; and, NOOP, don\'t perform any action on the findings.</p>', 'GetFindingsFilterResponse$Action' => '<p>The action that\'s performed on findings that meet the filter criteria (findingCriteria). Possible values are: ARCHIVE, suppress (automatically archive) the findings; and, NOOP, don\'t perform any action on the findings.</p>', 'UpdateFindingsFilterRequest$Action' => '<p>The action to perform on findings that meet the filter criteria (findingCriteria). Valid values are: ARCHIVE, suppress (automatically archive) the findings; and, NOOP, don\'t perform any action on the findings.</p>', ], ], 'FindingsFilterListItem' => [ 'base' => '<p>Provides information about a findings filter.</p>', 'refs' => [ '__listOfFindingsFilterListItem$member' => NULL, ], ], 'GetAdministratorAccountResponse' => [ 'base' => '<p>Provides information about the Amazon Macie administrator account for an account. If the accounts are associated by a Macie membership invitation, the response also provides information about that invitation.</p>', 'refs' => [], ], 'GetBucketStatisticsRequest' => [ 'base' => '<p>Specifies the account that owns the S3 buckets to retrieve aggregated statistical data for.</p>', 'refs' => [], ], 'GetBucketStatisticsResponse' => [ 'base' => '<p>Provides the results of a query that retrieved aggregated statistical data for all the S3 buckets that Amazon Macie monitors and analyzes for an account.</p>', 'refs' => [], ], 'GetClassificationExportConfigurationResponse' => [ 'base' => '<p>Provides information about the current configuration settings for storing data classification results.</p>', 'refs' => [], ], 'GetCustomDataIdentifierResponse' => [ 'base' => '<p>Provides information about the criteria and other settings for a custom data identifier.</p>', 'refs' => [], ], 'GetFindingStatisticsRequest' => [ 'base' => '<p>Specifies criteria for filtering, grouping, sorting, and paginating the results of a query that retrieves aggregated statistical data about findings.</p>', 'refs' => [], ], 'GetFindingStatisticsResponse' => [ 'base' => '<p>Provides the results of a query that retrieved aggregated statistical data about findings.</p>', 'refs' => [], ], 'GetFindingsFilterResponse' => [ 'base' => '<p>Provides information about the criteria and other settings for a findings filter.</p>', 'refs' => [], ], 'GetFindingsPublicationConfigurationResponse' => [ 'base' => '<p>Provides information about the current configuration settings for publishing findings to Security Hub automatically.</p>', 'refs' => [], ], 'GetFindingsRequest' => [ 'base' => '<p>Specifies one or more findings to retrieve.</p>', 'refs' => [], ], 'GetFindingsResponse' => [ 'base' => '<p>Provides the results of a request for one or more findings.</p>', 'refs' => [], ], 'GetInvitationsCountResponse' => [ 'base' => '<p>Provides the count of all the Amazon Macie membership invitations that were received by an account, not including the currently accepted invitation.</p>', 'refs' => [], ], 'GetMacieSessionResponse' => [ 'base' => '<p>Provides information about the current status and configuration settings for an Amazon Macie account.</p>', 'refs' => [], ], 'GetMasterAccountResponse' => [ 'base' => '<p>(Deprecated) Provides information about the Amazon Macie administrator account for an account. If the accounts are associated by a Macie membership invitation, the response also provides information about that invitation.</p>', 'refs' => [], ], 'GetMemberResponse' => [ 'base' => '<p>Provides information about an account that\'s associated with an Amazon Macie administrator account.</p>', 'refs' => [], ], 'GetUsageStatisticsRequest' => [ 'base' => '<p>Specifies criteria for filtering, sorting, and paginating the results of a query for quotas and aggregated usage data for one or more Amazon Macie accounts.</p>', 'refs' => [], ], 'GetUsageStatisticsResponse' => [ 'base' => '<p>Provides the results of a query that retrieved quotas and aggregated usage data for one or more Amazon Macie accounts.</p>', 'refs' => [], ], 'GetUsageTotalsResponse' => [ 'base' => '<p>Provides the results of a query that retrieved aggregated usage data for an Amazon Macie account.</p>', 'refs' => [], ], 'GroupBy' => [ 'base' => NULL, 'refs' => [ 'GetFindingStatisticsRequest$GroupBy' => '<p>The finding property to use to group the query results. Valid values are:</p> <ul><li><p>classificationDetails.jobId - The unique identifier for the classification job that produced the finding.</p></li> <li><p>resourcesAffected.s3Bucket.name - The name of the S3 bucket that the finding applies to.</p></li> <li><p>severity.description - The severity level of the finding, such as High or Medium.</p></li> <li><p>type - The type of finding, such as Policy:IAMUser/S3BucketPublic and SensitiveData:S3Object/Personal.</p></li></ul>', ], ], 'GroupCount' => [ 'base' => '<p>Provides a group of results for a query that retrieved aggregated statistical data about findings.</p>', 'refs' => [ '__listOfGroupCount$member' => NULL, ], ], 'IamUser' => [ 'base' => '<p>Provides information about an Identity and Access Management (IAM) user who performed an action on an affected resource.</p>', 'refs' => [ 'UserIdentity$IamUser' => '<p>If the action was performed using the credentials for an Identity and Access Management (IAM) user, the name and other details about the user.</p>', ], ], 'InternalServerException' => [ 'base' => '<p>Provides information about an error that occurred due to an unknown internal server error, exception, or failure.</p>', 'refs' => [], ], 'Invitation' => [ 'base' => '<p>Provides information about an Amazon Macie membership invitation that was received by an account.</p>', 'refs' => [ 'GetAdministratorAccountResponse$Administrator' => '<p>The Amazon Web Services account ID for the administrator account. If the accounts are associated by a Macie membership invitation, this object also provides details about the invitation that was sent to establish the relationship between the accounts.</p>', 'GetMasterAccountResponse$Master' => '<p>(Deprecated) The Amazon Web Services account ID for the administrator account. If the accounts are associated by a Macie membership invitation, this object also provides details about the invitation that was sent to establish the relationship between the accounts.</p>', '__listOfInvitation$member' => NULL, ], ], 'IpAddressDetails' => [ 'base' => '<p>Provides information about the IP address of the device that an entity used to perform an action on an affected resource.</p>', 'refs' => [ 'FindingActor$IpAddressDetails' => '<p>The IP address of the device that the entity used to perform the action on the affected resource. This object also provides information such as the owner and geographic location for the IP address.</p>', ], ], 'IpCity' => [ 'base' => '<p>Provides information about the city that an IP address originated from.</p>', 'refs' => [ 'IpAddressDetails$IpCity' => '<p>The city that the IP address originated from.</p>', ], ], 'IpCountry' => [ 'base' => '<p>Provides information about the country that an IP address originated from.</p>', 'refs' => [ 'IpAddressDetails$IpCountry' => '<p>The country that the IP address originated from.</p>', ], ], 'IpGeoLocation' => [ 'base' => '<p>Provides geographic coordinates that indicate where a specified IP address originated from.</p>', 'refs' => [ 'IpAddressDetails$IpGeoLocation' => '<p>The geographic coordinates of the location that the IP address originated from.</p>', ], ], 'IpOwner' => [ 'base' => '<p>Provides information about the registered owner of an IP address.</p>', 'refs' => [ 'IpAddressDetails$IpOwner' => '<p>The registered owner of the IP address.</p>', ], ], 'IsDefinedInJob' => [ 'base' => NULL, 'refs' => [ 'JobDetails$IsDefinedInJob' => '<p>Specifies whether any one-time or recurring jobs are configured to analyze data in the bucket. Possible values are:</p> <ul><li><p>TRUE - The bucket is explicitly included in the bucket definition (S3BucketDefinitionForJob) for one or more jobs and at least one of those jobs has a status other than CANCELLED. Or the bucket matched the bucket criteria (S3BucketCriteriaForJob) for at least one job that previously ran.</p></li> <li><p>FALSE - The bucket isn\'t explicitly included in the bucket definition (S3BucketDefinitionForJob) for any jobs, all the jobs that explicitly include the bucket in their bucket definitions have a status of CANCELLED, or the bucket didn\'t match the bucket criteria (S3BucketCriteriaForJob) for any jobs that previously ran.</p></li> <li><p>UNKNOWN - An exception occurred when Amazon Macie attempted to retrieve job data for the bucket.</p></li></ul> <p></p>', ], ], 'IsMonitoredByJob' => [ 'base' => NULL, 'refs' => [ 'JobDetails$IsMonitoredByJob' => '<p>Specifies whether any recurring jobs are configured to analyze data in the bucket. Possible values are:</p> <ul><li><p>TRUE - The bucket is explicitly included in the bucket definition (S3BucketDefinitionForJob) for one or more recurring jobs or the bucket matches the bucket criteria (S3BucketCriteriaForJob) for one or more recurring jobs. At least one of those jobs has a status other than CANCELLED.</p></li> <li><p>FALSE - The bucket isn\'t explicitly included in the bucket definition (S3BucketDefinitionForJob) for any recurring jobs, the bucket doesn\'t match the bucket criteria (S3BucketCriteriaForJob) for any recurring jobs, or all the recurring jobs that are configured to analyze data in the bucket have a status of CANCELLED.</p></li> <li><p>UNKNOWN - An exception occurred when Amazon Macie attempted to retrieve job data for the bucket.</p></li></ul>', ], ], 'JobComparator' => [ 'base' => '<p>The operator to use in a condition. Valid values are:</p>', 'refs' => [ 'ListJobsFilterTerm$Comparator' => '<p>The operator to use to filter the results.</p>', 'SimpleCriterionForJob$Comparator' => '<p>The operator to use in the condition. Valid values are EQ (equals) and NE (not equals).</p>', 'SimpleScopeTerm$Comparator' => '<p>The operator to use in the condition. Valid values for each supported property (key) are:</p> <ul><li><p>OBJECT_EXTENSION - EQ (equals) or NE (not equals)</p></li> <li><p>OBJECT_KEY - STARTS_WITH</p></li> <li><p>OBJECT_LAST_MODIFIED_DATE - Any operator except CONTAINS</p></li> <li><p>OBJECT_SIZE - Any operator except CONTAINS</p></li></ul>', 'TagCriterionForJob$Comparator' => '<p>The operator to use in the condition. Valid values are EQ (equals) and NE (not equals).</p>', 'TagScopeTerm$Comparator' => '<p>The operator to use in the condition. Valid values are EQ (equals) or NE (not equals).</p>', ], ], 'JobDetails' => [ 'base' => '<p>Specifies whether any one-time or recurring classification jobs are configured to analyze data in an S3 bucket, and, if so, the details of the job that ran most recently.</p>', 'refs' => [ 'BucketMetadata$JobDetails' => '<p>Specifies whether any one-time or recurring classification jobs are configured to analyze data in the bucket, and, if so, the details of the job that ran most recently.</p>', 'MatchingBucket$JobDetails' => '<p>Specifies whether any one-time or recurring classification jobs are configured to analyze objects in the bucket, and, if so, the details of the job that ran most recently.</p>', ], ], 'JobScheduleFrequency' => [ 'base' => '<p>Specifies the recurrence pattern for running a classification job.</p>', 'refs' => [ 'CreateClassificationJobRequest$ScheduleFrequency' => '<p>The recurrence pattern for running the job. To run the job only once, don\'t specify a value for this property and set the value for the jobType property to ONE_TIME.</p>', 'DescribeClassificationJobResponse$ScheduleFrequency' => '<p>The recurrence pattern for running the job. If the job is configured to run only once, this value is null.</p>', ], ], 'JobScopeTerm' => [ 'base' => '<p>Specifies a property- or tag-based condition that defines criteria for including or excluding S3 objects from a classification job. A JobScopeTerm object can contain only one simpleScopeTerm object or one tagScopeTerm object.</p>', 'refs' => [ '__listOfJobScopeTerm$member' => NULL, ], ], 'JobScopingBlock' => [ 'base' => '<p>Specifies one or more property- and tag-based conditions that define criteria for including or excluding S3 objects from a classification job.</p>', 'refs' => [ 'Scoping$Excludes' => '<p>The property- and tag-based conditions that determine which objects to exclude from the analysis.</p>', 'Scoping$Includes' => '<p>The property- and tag-based conditions that determine which objects to include in the analysis.</p>', ], ], 'JobStatus' => [ 'base' => '<p>The status of a classification job. Possible values are:</p>', 'refs' => [ 'DescribeClassificationJobResponse$JobStatus' => '<p>The current status of the job. Possible values are:</p> <ul><li><p>CANCELLED - You cancelled the job or, if it\'s a one-time job, you paused the job and didn\'t resume it within 30 days.</p></li> <li><p>COMPLETE - For a one-time job, Amazon Macie finished processing the data specified for the job. This value doesn\'t apply to recurring jobs.</p></li> <li><p>IDLE - For a recurring job, the previous scheduled run is complete and the next scheduled run is pending. This value doesn\'t apply to one-time jobs.</p></li> <li><p>PAUSED - Amazon Macie started running the job but additional processing would exceed the monthly sensitive data discovery quota for your account or one or more member accounts that the job analyzes data for.</p></li> <li><p>RUNNING - For a one-time job, the job is in progress. For a recurring job, a scheduled run is in progress.</p></li> <li><p>USER_PAUSED - You paused the job. If you paused the job while it had a status of RUNNING and you don\'t resume it within 30 days of pausing it, the job or job run will expire and be cancelled, depending on the job\'s type. To check the expiration date, refer to the UserPausedDetails.jobExpiresAt property.</p></li></ul>', 'JobSummary$JobStatus' => '<p>The current status of the job. Possible values are:</p> <ul><li><p>CANCELLED - You cancelled the job or, if it\'s a one-time job, you paused the job and didn\'t resume it within 30 days.</p></li> <li><p>COMPLETE - For a one-time job, Amazon Macie finished processing the data specified for the job. This value doesn\'t apply to recurring jobs.</p></li> <li><p>IDLE - For a recurring job, the previous scheduled run is complete and the next scheduled run is pending. This value doesn\'t apply to one-time jobs.</p></li> <li><p>PAUSED - Amazon Macie started running the job but additional processing would exceed the monthly sensitive data discovery quota for your account or one or more member accounts that the job analyzes data for.</p></li> <li><p>RUNNING - For a one-time job, the job is in progress. For a recurring job, a scheduled run is in progress.</p></li> <li><p>USER_PAUSED - You paused the job. If you paused the job while it had a status of RUNNING and you don\'t resume it within 30 days of pausing it, the job or job run will expire and be cancelled, depending on the job\'s type. To check the expiration date, refer to the UserPausedDetails.jobExpiresAt property.</p></li></ul>', 'UpdateClassificationJobRequest$JobStatus' => '<p>The new status for the job. Valid values are:</p> <ul><li><p>CANCELLED - Stops the job permanently and cancels it. This value is valid only if the job\'s current status is IDLE, PAUSED, RUNNING, or USER_PAUSED.</p> <p>If you specify this value and the job\'s current status is RUNNING, Amazon Macie immediately begins to stop all processing tasks for the job. You can\'t resume or restart a job after you cancel it.</p></li> <li><p>RUNNING - Resumes the job. This value is valid only if the job\'s current status is USER_PAUSED.</p> <p>If you paused the job while it was actively running and you specify this value less than 30 days after you paused the job, Macie immediately resumes processing from the point where you paused the job. Otherwise, Macie resumes the job according to the schedule and other settings for the job.</p></li> <li><p>USER_PAUSED - Pauses the job temporarily. This value is valid only if the job\'s current status is IDLE, PAUSED, or RUNNING. If you specify this value and the job\'s current status is RUNNING, Macie immediately begins to pause all processing tasks for the job.</p> <p>If you pause a one-time job and you don\'t resume it within 30 days, the job expires and Macie cancels the job. If you pause a recurring job when its status is RUNNING and you don\'t resume it within 30 days, the job run expires and Macie cancels the run. To check the expiration date, refer to the UserPausedDetails.jobExpiresAt property.</p></li></ul>', ], ], 'JobSummary' => [ 'base' => '<p>Provides information about a classification job, including the current status of the job.</p>', 'refs' => [ '__listOfJobSummary$member' => NULL, ], ], 'JobType' => [ 'base' => '<p>The schedule for running a classification job. Valid values are:</p>', 'refs' => [ 'CreateClassificationJobRequest$JobType' => '<p>The schedule for running the job. Valid values are:</p> <ul><li><p>ONE_TIME - Run the job only once. If you specify this value, don\'t specify a value for the scheduleFrequency property.</p></li> <li><p>SCHEDULED - Run the job on a daily, weekly, or monthly basis. If you specify this value, use the scheduleFrequency property to define the recurrence pattern for the job.</p></li></ul>', 'DescribeClassificationJobResponse$JobType' => '<p>The schedule for running the job. Possible values are:</p> <ul><li><p>ONE_TIME - The job runs only once.</p></li> <li><p>SCHEDULED - The job runs on a daily, weekly, or monthly basis. The scheduleFrequency property indicates the recurrence pattern for the job.</p></li></ul>', 'JobSummary$JobType' => '<p>The schedule for running the job. Possible values are:</p> <ul><li><p>ONE_TIME - The job runs only once.</p></li> <li><p>SCHEDULED - The job runs on a daily, weekly, or monthly basis.</p></li></ul>', ], ], 'KeyValuePair' => [ 'base' => '<p>Provides information about the tags that are associated with an S3 bucket or object. Each tag consists of a required tag key and an associated tag value.</p>', 'refs' => [ 'KeyValuePairList$member' => NULL, '__listOfKeyValuePair$member' => NULL, ], ], 'KeyValuePairList' => [ 'base' => '<p>Provides information about the tags that are associated with an S3 bucket or object. Each tag consists of a required tag key and an associated tag value.</p>', 'refs' => [ 'S3Bucket$Tags' => '<p>The tags that are associated with the bucket.</p>', 'S3Object$Tags' => '<p>The tags that are associated with the object.</p>', ], ], 'LastRunErrorStatus' => [ 'base' => '<p>Specifies whether any account- or bucket-level access errors occurred when a classification job ran. For information about using logging data to investigate these errors, see <a href="https://docs.aws.amazon.com/macie/latest/user/discovery-jobs-monitor-cw-logs.html">Monitoring sensitive data discovery jobs</a> in the <i>Amazon Macie User Guide</i>.</p>', 'refs' => [ 'DescribeClassificationJobResponse$LastRunErrorStatus' => '<p>Specifies whether any account- or bucket-level access errors occurred when the job ran. For a recurring job, this value indicates the error status of the job\'s most recent run.</p>', 'JobSummary$LastRunErrorStatus' => '<p>Specifies whether any account- or bucket-level access errors occurred when the job ran. For a recurring job, this value indicates the error status of the job\'s most recent run.</p>', ], ], 'LastRunErrorStatusCode' => [ 'base' => '<p>Specifies whether any account- or bucket-level access errors occurred during the run of a one-time classification job or the most recent run of a recurring classification job. Possible values are:</p>', 'refs' => [ 'LastRunErrorStatus$Code' => '<p>Specifies whether any account- or bucket-level access errors occurred when the job ran. For a recurring job, this value indicates the error status of the job\'s most recent run. Possible values are:</p> <ul><li><p>ERROR - One or more errors occurred. Amazon Macie didn\'t process all the data specified for the job.</p></li> <li><p>NONE - No errors occurred. Macie processed all the data specified for the job.</p></li></ul>', ], ], 'ListClassificationJobsRequest' => [ 'base' => '<p>Specifies criteria for filtering, sorting, and paginating the results of a request for information about classification jobs.</p>', 'refs' => [], ], 'ListClassificationJobsResponse' => [ 'base' => '<p>Provides the results of a request for information about one or more classification jobs.</p>', 'refs' => [], ], 'ListCustomDataIdentifiersRequest' => [ 'base' => '<p>Specifies criteria for paginating the results of a request for information about custom data identifiers.</p>', 'refs' => [], ], 'ListCustomDataIdentifiersResponse' => [ 'base' => '<p>Provides the results of a request for information about custom data identifiers.</p>', 'refs' => [], ], 'ListFindingsFiltersResponse' => [ 'base' => '<p>Provides information about all the findings filters for an account.</p>', 'refs' => [], ], 'ListFindingsRequest' => [ 'base' => '<p>Specifies criteria for filtering, sorting, and paginating the results of a request for information about findings.</p>', 'refs' => [], ], 'ListFindingsResponse' => [ 'base' => '<p>Provides the results of a request for information about one or more findings.</p>', 'refs' => [], ], 'ListInvitationsResponse' => [ 'base' => '<p>Provides information about the Amazon Macie membership invitations that were received by an account.</p>', 'refs' => [], ], 'ListJobsFilterCriteria' => [ 'base' => '<p>Specifies criteria for filtering the results of a request for information about classification jobs.</p>', 'refs' => [ 'ListClassificationJobsRequest$FilterCriteria' => '<p>The criteria to use to filter the results.</p>', ], ], 'ListJobsFilterKey' => [ 'base' => '<p>The property to use to filter the results. Valid values are:</p>', 'refs' => [ 'ListJobsFilterTerm$Key' => '<p>The property to use to filter the results.</p>', ], ], 'ListJobsFilterTerm' => [ 'base' => '<p>Specifies a condition that filters the results of a request for information about classification jobs. Each condition consists of a property, an operator, and one or more values.</p>', 'refs' => [ '__listOfListJobsFilterTerm$member' => NULL, ], ], 'ListJobsSortAttributeName' => [ 'base' => '<p>The property to sort the results by. Valid values are:</p>', 'refs' => [ 'ListJobsSortCriteria$AttributeName' => '<p>The property to sort the results by.</p>', ], ], 'ListJobsSortCriteria' => [ 'base' => '<p>Specifies criteria for sorting the results of a request for information about classification jobs.</p>', 'refs' => [ 'ListClassificationJobsRequest$SortCriteria' => '<p>The criteria to use to sort the results.</p>', ], ], 'ListMembersResponse' => [ 'base' => '<p>Provides information about the accounts that are associated with an Amazon Macie administrator account.</p>', 'refs' => [], ], 'ListOrganizationAdminAccountsResponse' => [ 'base' => '<p>Provides information about the delegated Amazon Macie administrator accounts for an Amazon Web Services organization.</p>', 'refs' => [], ], 'ListTagsForResourceResponse' => [ 'base' => '<p>Provides information about the tags (keys and values) that are associated with a classification job, custom data identifier, findings filter, or member account.</p>', 'refs' => [], ], 'MacieStatus' => [ 'base' => '<p>The status of an Amazon Macie account. Valid values are:</p>', 'refs' => [ 'EnableMacieRequest$Status' => '<p>Specifies the new status for the account. To enable Amazon Macie and start all Macie activities for the account, set this value to ENABLED.</p>', 'GetMacieSessionResponse$Status' => '<p>The current status of the Macie account. Possible values are: PAUSED, the account is enabled but all Macie activities are suspended (paused) for the account; and, ENABLED, the account is enabled and all Macie activities are enabled for the account.</p>', 'UpdateMacieSessionRequest$Status' => '<p>Specifies a new status for the account. Valid values are: ENABLED, resume all Amazon Macie activities for the account; and, PAUSED, suspend all Macie activities for the account.</p>', 'UpdateMemberSessionRequest$Status' => '<p>Specifies the new status for the account. Valid values are: ENABLED, resume all Amazon Macie activities for the account; and, PAUSED, suspend all Macie activities for the account.</p>', ], ], 'MatchingBucket' => [ 'base' => '<p>Provides statistical data and other information about an S3 bucket that Amazon Macie monitors and analyzes.</p>', 'refs' => [ 'MatchingResource$MatchingBucket' => '<p>The details of an S3 bucket that Amazon Macie monitors and analyzes.</p>', ], ], 'MatchingResource' => [ 'base' => '<p>Provides statistical data and other information about an Amazon Web Services resource that Amazon Macie monitors and analyzes.</p>', 'refs' => [ '__listOfMatchingResource$member' => NULL, ], ], 'Member' => [ 'base' => '<p>Provides information about an account that\'s associated with an Amazon Macie administrator account.</p>', 'refs' => [ '__listOfMember$member' => NULL, ], ], 'MonthlySchedule' => [ 'base' => '<p>Specifies a monthly recurrence pattern for running a classification job.</p>', 'refs' => [ 'JobScheduleFrequency$MonthlySchedule' => '<p>Specifies a monthly recurrence pattern for running the job.</p>', ], ], 'ObjectCountByEncryptionType' => [ 'base' => '<p>Provides information about the number of objects that are in an S3 bucket and use certain types of server-side encryption, use client-side encryption, or aren\'t encrypted.</p>', 'refs' => [ 'BucketMetadata$ObjectCountByEncryptionType' => '<p>The total number of objects that are in the bucket, grouped by server-side encryption type. This includes a grouping that reports the total number of objects that aren\'t encrypted or use client-side encryption.</p>', 'MatchingBucket$ObjectCountByEncryptionType' => '<p>The total number of objects that are in the bucket, grouped by server-side encryption type. This includes a grouping that reports the total number of objects that aren\'t encrypted or use client-side encryption.</p>', ], ], 'ObjectLevelStatistics' => [ 'base' => '<p>Provides information about the total storage size (in bytes) or number of objects that Amazon Macie can\'t analyze in one or more S3 buckets. In a BucketMetadata or MatchingBucket object, this data is for a specific bucket. In a GetBucketStatisticsResponse object, this data is aggregated for all the buckets in the query results. If versioning is enabled for a bucket, total storage size values are based on the size of the latest version of each applicable object in the bucket.</p>', 'refs' => [ 'BucketMetadata$UnclassifiableObjectCount' => '<p>The total number of objects that Amazon Macie can\'t analyze in the bucket. These objects don\'t use a supported storage class or don\'t have a file name extension for a supported file or storage format.</p>', 'BucketMetadata$UnclassifiableObjectSizeInBytes' => '<p>The total storage size, in bytes, of the objects that Amazon Macie can\'t analyze in the bucket. These objects don\'t use a supported storage class or don\'t have a file name extension for a supported file or storage format.</p>', 'GetBucketStatisticsResponse$UnclassifiableObjectCount' => '<p>The total number of objects that Amazon Macie can\'t analyze in the buckets. These objects don\'t use a supported storage class or don\'t have a file name extension for a supported file or storage format.</p>', 'GetBucketStatisticsResponse$UnclassifiableObjectSizeInBytes' => '<p>The total storage size, in bytes, of the objects that Amazon Macie can\'t analyze in the buckets. These objects don\'t use a supported storage class or don\'t have a file name extension for a supported file or storage format.</p>', 'MatchingBucket$UnclassifiableObjectCount' => '<p>The total number of objects that Amazon Macie can\'t analyze in the bucket. These objects don\'t use a supported storage class or don\'t have a file name extension for a supported file or storage format.</p>', 'MatchingBucket$UnclassifiableObjectSizeInBytes' => '<p>The total storage size, in bytes, of the objects that Amazon Macie can\'t analyze in the bucket. These objects don\'t use a supported storage class or don\'t have a file name extension for a supported file or storage format.</p>', ], ], 'Occurrences' => [ 'base' => '<p>Specifies the location of 1-15 occurrences of sensitive data that was detected by managed data identifiers or a custom data identifier and produced a sensitive data finding.</p>', 'refs' => [ 'CustomDetection$Occurrences' => '<p>The location of 1-15 occurrences of the sensitive data that the custom data identifier detected. A finding includes location data for a maximum of 15 occurrences of sensitive data.</p>', 'DefaultDetection$Occurrences' => '<p>The location of 1-15 occurrences of the sensitive data that was detected. A finding includes location data for a maximum of 15 occurrences of sensitive data.</p>', ], ], 'OrderBy' => [ 'base' => NULL, 'refs' => [ 'BucketSortCriteria$OrderBy' => '<p>The sort order to apply to the results, based on the value specified by the attributeName property. Valid values are: ASC, sort the results in ascending order; and, DESC, sort the results in descending order.</p>', 'FindingStatisticsSortCriteria$OrderBy' => '<p>The sort order to apply to the results, based on the value for the property specified by the attributeName property. Valid values are: ASC, sort the results in ascending order; and, DESC, sort the results in descending order.</p>', 'ListJobsSortCriteria$OrderBy' => '<p>The sort order to apply to the results, based on the value for the property specified by the attributeName property. Valid values are: ASC, sort the results in ascending order; and, DESC, sort the results in descending order.</p>', 'SearchResourcesSortCriteria$OrderBy' => '<p>The sort order to apply to the results, based on the value for the property specified by the attributeName property. Valid values are: ASC, sort the results in ascending order; and, DESC, sort the results in descending order.</p>', 'SortCriteria$OrderBy' => '<p>The sort order to apply to the results, based on the value for the property specified by the attributeName property. Valid values are: ASC, sort the results in ascending order; and, DESC, sort the results in descending order.</p>', 'UsageStatisticsSortBy$OrderBy' => '<p>The sort order to apply to the results, based on the value for the field specified by the key property. Valid values are: ASC, sort the results in ascending order; and, DESC, sort the results in descending order.</p>', ], ], 'Page' => [ 'base' => '<p>Specifies the location of an occurrence of sensitive data in an Adobe Portable Document Format file.</p>', 'refs' => [ 'Pages$member' => NULL, ], ], 'Pages' => [ 'base' => '<p>Specifies the location of occurrences of sensitive data in an Adobe Portable Document Format file.</p>', 'refs' => [ 'Occurrences$Pages' => '<p>An array of objects, one for each occurrence of sensitive data in an Adobe Portable Document Format file. This value is null for all other types of files.</p><p>Each Page object specifies a page that contains the sensitive data.</p>', ], ], 'PolicyDetails' => [ 'base' => '<p>Provides the details of a policy finding.</p>', 'refs' => [ 'Finding$PolicyDetails' => '<p>The details of a policy finding. This value is null for a sensitive data finding.</p>', ], ], 'PutClassificationExportConfigurationRequest' => [ 'base' => '<p>Specifies where to store data classification results, and the encryption settings to use when storing results in that location. Currently, you can store classification results only in an S3 bucket.</p>', 'refs' => [], ], 'PutClassificationExportConfigurationResponse' => [ 'base' => '<p>Provides information about updated settings for storing data classification results.</p>', 'refs' => [], ], 'PutFindingsPublicationConfigurationRequest' => [ 'base' => '<p>Specifies configuration settings for publishing findings to Security Hub automatically.</p>', 'refs' => [], ], 'Range' => [ 'base' => '<p>Specifies the location of an occurrence of sensitive data in a non-binary text file, such as an HTML, TXT, or XML file.</p>', 'refs' => [ 'Page$LineRange' => ' <p>Reserved for future use.</p>', 'Page$OffsetRange' => ' <p>Reserved for future use.</p>', 'Ranges$member' => NULL, ], ], 'Ranges' => [ 'base' => NULL, 'refs' => [ 'Occurrences$LineRanges' => '<p>An array of objects, one for each occurrence of sensitive data in a non-binary text file, such as an HTML, TXT, or XML file. Each Range object specifies a line or inclusive range of lines that contains the sensitive data, and the position of the data on the specified line or lines.</p> <p>This value is often null for file types that are supported by Cell, Page, or Record objects. Exceptions are the location of sensitive data in: unstructured sections of an otherwise structured file, such as a comment in a file; a malformed file that Amazon Macie analyzes as plain text; and, a CSV or TSV file that has any column names that contain sensitive data.</p>', 'Occurrences$OffsetRanges' => ' <p>Reserved for future use.</p>', ], ], 'Record' => [ 'base' => '<p>Specifies the location of an occurrence of sensitive data in an Apache Avro object container, Apache Parquet file, JSON file, or JSON Lines file.</p>', 'refs' => [ 'Records$member' => NULL, ], ], 'Records' => [ 'base' => NULL, 'refs' => [ 'Occurrences$Records' => '<p>An array of objects, one for each occurrence of sensitive data in an Apache Avro object container, Apache Parquet file, JSON file, or JSON Lines file. This value is null for all other types of files.</p> <p>For an Avro object container or Parquet file, each Record object specifies a record index and the path to a field in a record that contains the sensitive data. For a JSON or JSON Lines file, each Record object specifies the path to a field or array that contains the sensitive data. For a JSON Lines file, it also specifies the index of the line that contains the data.</p>', ], ], 'RelationshipStatus' => [ 'base' => '<p>The current status of the relationship between an account and an associated Amazon Macie administrator account (<i>inviter account</i>). Possible values are:</p>', 'refs' => [ 'GetMemberResponse$RelationshipStatus' => '<p>The current status of the relationship between the account and the administrator account.</p>', 'Invitation$RelationshipStatus' => '<p>The status of the relationship between the account that sent the invitation (<i>inviter account</i>) and the account that received the invitation (<i>invitee account</i>).</p>', 'Member$RelationshipStatus' => '<p>The current status of the relationship between the account and the administrator account.</p>', ], ], 'ReplicationDetails' => [ 'base' => '<p>Provides information about settings that define whether one or more objects in an S3 bucket are replicated to S3 buckets for other Amazon Web Services accounts and, if so, which accounts.</p>', 'refs' => [ 'BucketMetadata$ReplicationDetails' => '<p>Specifies whether the bucket is configured to replicate one or more objects to buckets for other Amazon Web Services accounts and, if so, which accounts.</p>', ], ], 'ResourceNotFoundException' => [ 'base' => '<p>Provides information about an error that occurred because a specified resource wasn\'t found.</p>', 'refs' => [], ], 'ResourcesAffected' => [ 'base' => '<p>Provides information about the resources that a finding applies to.</p>', 'refs' => [ 'Finding$ResourcesAffected' => '<p>The resources that the finding applies to.</p>', ], ], 'S3Bucket' => [ 'base' => '<p>Provides information about the S3 bucket that a finding applies to.</p>', 'refs' => [ 'ResourcesAffected$S3Bucket' => '<p>The details of the S3 bucket that the finding applies to.</p>', ], ], 'S3BucketCriteriaForJob' => [ 'base' => '<p>Specifies property- and tag-based conditions that define criteria for including or excluding S3 buckets from a classification job. Exclude conditions take precedence over include conditions.</p>', 'refs' => [ 'JobSummary$BucketCriteria' => '<p>The property- and tag-based conditions that determine which S3 buckets are included or excluded from the job\'s analysis. Each time the job runs, the job uses these criteria to determine which buckets to analyze. A job\'s definition can contain a bucketCriteria object or a bucketDefinitions array, not both.</p>', 'S3JobDefinition$BucketCriteria' => '<p>The property- and tag-based conditions that determine which S3 buckets to include or exclude from the analysis. Each time the job runs, the job uses these criteria to determine which buckets contain objects to analyze. A job\'s definition can contain a bucketCriteria object or a bucketDefinitions array, not both.</p>', ], ], 'S3BucketDefinitionForJob' => [ 'base' => '<p>Specifies an Amazon Web Services account that owns S3 buckets for a classification job to analyze, and one or more specific buckets to analyze for that account.</p>', 'refs' => [ '__listOfS3BucketDefinitionForJob$member' => NULL, ], ], 'S3BucketOwner' => [ 'base' => '<p>Provides information about the user who owns an S3 bucket.</p>', 'refs' => [ 'S3Bucket$Owner' => '<p>The display name and Amazon Web Services account ID for the user who owns the bucket.</p>', ], ], 'S3Destination' => [ 'base' => '<p>Specifies an S3 bucket to store data classification results in, and the encryption settings to use when storing results in that bucket.</p>', 'refs' => [ 'ClassificationExportConfiguration$S3Destination' => '<p>The S3 bucket to store data classification results in, and the encryption settings to use when storing results in that bucket.</p>', ], ], 'S3JobDefinition' => [ 'base' => '<p>Specifies which S3 buckets contain the objects that a classification job analyzes, and the scope of that analysis. The bucket specification can be static (bucketDefinitions) or dynamic (bucketCriteria). If it\'s static, the job analyzes objects in the same predefined set of buckets each time the job runs. If it\'s dynamic, the job analyzes objects in any buckets that match the specified criteria each time the job starts to run.</p>', 'refs' => [ 'CreateClassificationJobRequest$S3JobDefinition' => '<p>The S3 buckets that contain the objects to analyze, and the scope of that analysis.</p>', 'DescribeClassificationJobResponse$S3JobDefinition' => '<p>The S3 buckets that contain the objects to analyze, and the scope of that analysis.</p>', ], ], 'S3Object' => [ 'base' => '<p>Provides information about the S3 object that a finding applies to.</p>', 'refs' => [ 'ResourcesAffected$S3Object' => '<p>The details of the S3 object that the finding applies to.</p>', ], ], 'ScopeFilterKey' => [ 'base' => '<p>The property to use in a condition that determines whether an S3 object is included or excluded from a classification job. Valid values are:</p>', 'refs' => [ 'SimpleScopeTerm$Key' => '<p>The object property to use in the condition.</p>', ], ], 'Scoping' => [ 'base' => '<p>Specifies one or more property- and tag-based conditions that define criteria for including or excluding S3 objects from a classification job. Exclude conditions take precedence over include conditions.</p>', 'refs' => [ 'S3JobDefinition$Scoping' => '<p>The property- and tag-based conditions that determine which S3 objects to include or exclude from the analysis. Each time the job runs, the job uses these criteria to determine which objects to analyze.</p>', ], ], 'SearchResourcesBucketCriteria' => [ 'base' => '<p>Specifies property- and tag-based conditions that define filter criteria for including or excluding S3 buckets from the query results. Exclude conditions take precedence over include conditions.</p>', 'refs' => [ 'SearchResourcesRequest$BucketCriteria' => '<p>The filter conditions that determine which S3 buckets to include or exclude from the query results.</p>', ], ], 'SearchResourcesComparator' => [ 'base' => '<p>The operator to use in a condition that filters the results of a query. Valid values are:</p>', 'refs' => [ 'SearchResourcesSimpleCriterion$Comparator' => '<p>The operator to use in the condition. Valid values are EQ (equals) and NE (not equals).</p>', 'SearchResourcesTagCriterion$Comparator' => '<p>The operator to use in the condition. Valid values are EQ (equals) and NE (not equals).</p>', ], ], 'SearchResourcesCriteria' => [ 'base' => '<p>Specifies a property- or tag-based filter condition for including or excluding Amazon Web Services resources from the query results.</p>', 'refs' => [ '__listOfSearchResourcesCriteria$member' => NULL, ], ], 'SearchResourcesCriteriaBlock' => [ 'base' => '<p>Specifies property- and tag-based conditions that define filter criteria for including or excluding Amazon Web Services resources from the query results.</p>', 'refs' => [ 'SearchResourcesBucketCriteria$Excludes' => '<p>The property- and tag-based conditions that determine which buckets to exclude from the results.</p>', 'SearchResourcesBucketCriteria$Includes' => '<p>The property- and tag-based conditions that determine which buckets to include in the results.</p>', ], ], 'SearchResourcesRequest' => [ 'base' => '<p>Specifies criteria for filtering, sorting, and paginating the results of a query for statistical data and other information about Amazon Web Services resources that Amazon Macie monitors and analyzes.</p>', 'refs' => [], ], 'SearchResourcesResponse' => [ 'base' => '<p>Provides the results of a query that retrieved statistical data and other information about Amazon Web Services resources that Amazon Macie monitors and analyzes.</p>', 'refs' => [], ], 'SearchResourcesSimpleCriterion' => [ 'base' => '<p>Specifies a property-based filter condition that determines which Amazon Web Services resources are included or excluded from the query results.</p>', 'refs' => [ 'SearchResourcesCriteria$SimpleCriterion' => '<p>A property-based condition that defines a property, operator, and one or more values for including or excluding resources from the results.</p>', ], ], 'SearchResourcesSimpleCriterionKey' => [ 'base' => '<p>The property to use in a condition that filters the query results. Valid values are:</p>', 'refs' => [ 'SearchResourcesSimpleCriterion$Key' => '<p>The property to use in the condition.</p>', ], ], 'SearchResourcesSortAttributeName' => [ 'base' => '<p>The property to sort the query results by. Valid values are:</p>', 'refs' => [ 'SearchResourcesSortCriteria$AttributeName' => '<p>The property to sort the results by.</p>', ], ], 'SearchResourcesSortCriteria' => [ 'base' => '<p>Specifies criteria for sorting the results of a query for information about Amazon Web Services resources that Amazon Macie monitors and analyzes.</p>', 'refs' => [ 'SearchResourcesRequest$SortCriteria' => '<p>The criteria to use to sort the results.</p>', ], ], 'SearchResourcesTagCriterion' => [ 'base' => '<p>Specifies a tag-based filter condition that determines which Amazon Web Services resources are included or excluded from the query results.</p>', 'refs' => [ 'SearchResourcesCriteria$TagCriterion' => '<p>A tag-based condition that defines an operator and tag keys, tag values, or tag key and value pairs for including or excluding resources from the results.</p>', ], ], 'SearchResourcesTagCriterionPair' => [ 'base' => '<p>Specifies a tag key, a tag value, or a tag key and value (as a pair) to use in a tag-based filter condition for a query. Tag keys and values are case sensitive. Also, Amazon Macie doesn\'t support use of partial values or wildcard characters in tag-based filter conditions.</p>', 'refs' => [ '__listOfSearchResourcesTagCriterionPair$member' => NULL, ], ], 'SecurityHubConfiguration' => [ 'base' => '<p>Specifies configuration settings that determine which findings are published to Security Hub automatically. For information about how Macie publishes findings to Security Hub, see <a href="https://docs.aws.amazon.com/macie/latest/user/securityhub-integration.html">Amazon Macie integration with Security Hub</a> in the <i>Amazon Macie User Guide</i>.</p>', 'refs' => [ 'GetFindingsPublicationConfigurationResponse$SecurityHubConfiguration' => '<p>The configuration settings that determine which findings are published to Security Hub.</p>', 'PutFindingsPublicationConfigurationRequest$SecurityHubConfiguration' => '<p>The configuration settings that determine which findings to publish to Security Hub.</p>', ], ], 'SensitiveData' => [ 'base' => '<p>Provides information about the category and number of occurrences of sensitive data that produced a finding.</p>', 'refs' => [ 'ClassificationResult$SensitiveData' => '<p>The category, types, and number of occurrences of the sensitive data that produced the finding.</p>', ], ], 'SensitiveDataItem' => [ 'base' => '<p>Provides information about the category, types, and occurrences of sensitive data that produced a sensitive data finding.</p>', 'refs' => [ 'SensitiveData$member' => NULL, ], ], 'SensitiveDataItemCategory' => [ 'base' => '<p>The category of sensitive data that was detected and produced the finding. Possible values are:</p>', 'refs' => [ 'SensitiveDataItem$Category' => '<p>The category of sensitive data that was detected. For example: CREDENTIALS, for credentials data such as private keys or Amazon Web Services secret keys; FINANCIAL_INFORMATION, for financial data such as credit card numbers; or, PERSONAL_INFORMATION, for personal health information, such as health insurance identification numbers, or personally identifiable information, such as driver\'s license identification numbers.</p>', ], ], 'ServerSideEncryption' => [ 'base' => '<p>Provides information about the server-side encryption settings for an S3 bucket or S3 object.</p>', 'refs' => [ 'S3Bucket$DefaultServerSideEncryption' => '<p>The type of server-side encryption that\'s used by default to encrypt objects in the bucket.</p>', 'S3Object$ServerSideEncryption' => '<p>The type of server-side encryption that\'s used to encrypt the object.</p>', ], ], 'ServiceLimit' => [ 'base' => '<p>Specifies a current quota for an Amazon Macie account.</p>', 'refs' => [ 'UsageByAccount$ServiceLimit' => '<p>The current value for the quota that corresponds to the metric specified by the type field.</p>', ], ], 'ServiceQuotaExceededException' => [ 'base' => '<p>Provides information about an error that occurred due to one or more service quotas for an account.</p>', 'refs' => [], ], 'SessionContext' => [ 'base' => '<p>Provides information about a session that was created for an entity that performed an action by using temporary security credentials.</p>', 'refs' => [ 'AssumedRole$SessionContext' => '<p>The details of the session that was created for the credentials, including the entity that issued the session.</p>', 'FederatedUser$SessionContext' => '<p>The details of the session that was created for the credentials, including the entity that issued the session.</p>', ], ], 'SessionContextAttributes' => [ 'base' => '<p>Provides information about the context in which temporary security credentials were issued to an entity.</p>', 'refs' => [ 'SessionContext$Attributes' => '<p>The date and time when the credentials were issued, and whether the credentials were authenticated with a multi-factor authentication (MFA) device.</p>', ], ], 'SessionIssuer' => [ 'base' => '<p>Provides information about the source and type of temporary security credentials that were issued to an entity.</p>', 'refs' => [ 'SessionContext$SessionIssuer' => '<p>The source and type of credentials that were issued to the entity.</p>', ], ], 'Severity' => [ 'base' => '<p>Provides the numerical and qualitative representations of a finding\'s severity.</p>', 'refs' => [ 'Finding$Severity' => '<p>The severity level and score for the finding.</p>', ], ], 'SeverityDescription' => [ 'base' => '<p>The qualitative representation of the finding\'s severity. Possible values are:</p>', 'refs' => [ 'Severity$Description' => '<p>The qualitative representation of the finding\'s severity, ranging from Low (least severe) to High (most severe).</p>', ], ], 'SharedAccess' => [ 'base' => NULL, 'refs' => [ 'BucketMetadata$SharedAccess' => ' <p>Specifies whether the bucket is shared with another Amazon Web Services account. Possible values are:</p> <ul><li><p>EXTERNAL - The bucket is shared with an Amazon Web Services account that isn\'t part of the same Amazon Macie organization.</p></li> <li><p>INTERNAL - The bucket is shared with an Amazon Web Services account that\'s part of the same Amazon Macie organization.</p></li> <li><p>NOT_SHARED - The bucket isn\'t shared with other Amazon Web Services accounts.</p></li> <li><p>UNKNOWN - Amazon Macie wasn\'t able to evaluate the shared access settings for the bucket.</p></li></ul>', ], ], 'SimpleCriterionForJob' => [ 'base' => '<p>Specifies a property-based condition that determines whether an S3 bucket is included or excluded from a classification job.</p>', 'refs' => [ 'CriteriaForJob$SimpleCriterion' => '<p>A property-based condition that defines a property, operator, and one or more values for including or excluding buckets from the job.</p>', ], ], 'SimpleCriterionKeyForJob' => [ 'base' => '<p>The property to use in a condition that determines whether an S3 bucket is included or excluded from a classification job. Valid values are:</p>', 'refs' => [ 'SimpleCriterionForJob$Key' => '<p>The property to use in the condition.</p>', ], ], 'SimpleScopeTerm' => [ 'base' => '<p>Specifies a property-based condition that determines whether an S3 object is included or excluded from a classification job.</p>', 'refs' => [ 'JobScopeTerm$SimpleScopeTerm' => '<p>A property-based condition that defines a property, operator, and one or more values for including or excluding objects from the job.</p>', ], ], 'SortCriteria' => [ 'base' => '<p>Specifies criteria for sorting the results of a request for findings.</p>', 'refs' => [ 'GetFindingsRequest$SortCriteria' => '<p>The criteria for sorting the results of the request.</p>', 'ListFindingsRequest$SortCriteria' => '<p>The criteria to use to sort the results.</p>', ], ], 'Statistics' => [ 'base' => '<p>Provides processing statistics for a classification job.</p>', 'refs' => [ 'DescribeClassificationJobResponse$Statistics' => '<p>The number of times that the job has run and processing statistics for the job\'s current run.</p>', ], ], 'StorageClass' => [ 'base' => '<p>The storage class of the S3 object. Possible values are:</p>', 'refs' => [ 'S3Object$StorageClass' => '<p>The storage class of the object.</p>', ], ], 'TagCriterionForJob' => [ 'base' => '<p>Specifies a tag-based condition that determines whether an S3 bucket is included or excluded from a classification job.</p>', 'refs' => [ 'CriteriaForJob$TagCriterion' => '<p>A tag-based condition that defines an operator and tag keys, tag values, or tag key and value pairs for including or excluding buckets from the job.</p>', ], ], 'TagCriterionPairForJob' => [ 'base' => ' <p>Specifies a tag key, a tag value, or a tag key and value (as a pair) to use in a tag-based condition that determines whether an S3 bucket is included or excluded from a classification job. Tag keys and values are case sensitive. Also, Amazon Macie doesn\'t support use of partial values or wildcard characters in tag-based conditions.</p>', 'refs' => [ '__listOfTagCriterionPairForJob$member' => NULL, ], ], 'TagMap' => [ 'base' => '<p>A string-to-string map of key-value pairs that specifies the tags (keys and values) for a classification job, custom data identifier, findings filter, or member account.</p>', 'refs' => [ 'CreateClassificationJobRequest$Tags' => '<p>A map of key-value pairs that specifies the tags to associate with the job.</p> <p>A job can have a maximum of 50 tags. Each tag consists of a tag key and an associated tag value. The maximum length of a tag key is 128 characters. The maximum length of a tag value is 256 characters.</p>', 'CreateCustomDataIdentifierRequest$Tags' => '<p>A map of key-value pairs that specifies the tags to associate with the custom data identifier.</p> <p>A custom data identifier can have a maximum of 50 tags. Each tag consists of a tag key and an associated tag value. The maximum length of a tag key is 128 characters. The maximum length of a tag value is 256 characters.</p>', 'CreateFindingsFilterRequest$Tags' => '<p>A map of key-value pairs that specifies the tags to associate with the filter.</p> <p>A findings filter can have a maximum of 50 tags. Each tag consists of a tag key and an associated tag value. The maximum length of a tag key is 128 characters. The maximum length of a tag value is 256 characters.</p>', 'CreateMemberRequest$Tags' => '<p>A map of key-value pairs that specifies the tags to associate with the account in Amazon Macie.</p> <p>An account can have a maximum of 50 tags. Each tag consists of a tag key and an associated tag value. The maximum length of a tag key is 128 characters. The maximum length of a tag value is 256 characters.</p>', 'DescribeClassificationJobResponse$Tags' => '<p>A map of key-value pairs that specifies which tags (keys and values) are associated with the classification job.</p>', 'FindingsFilterListItem$Tags' => '<p>A map of key-value pairs that identifies the tags (keys and values) that are associated with the filter.</p>', 'GetCustomDataIdentifierResponse$Tags' => '<p>A map of key-value pairs that identifies the tags (keys and values) that are associated with the custom data identifier.</p>', 'GetFindingsFilterResponse$Tags' => '<p>A map of key-value pairs that identifies the tags (keys and values) that are associated with the filter.</p>', 'GetMemberResponse$Tags' => '<p>A map of key-value pairs that identifies the tags (keys and values) that are associated with the member account in Amazon Macie.</p>', 'ListTagsForResourceResponse$Tags' => '<p>A map of key-value pairs that identifies the tags (keys and values) that are associated with the resource.</p>', 'Member$Tags' => '<p>A map of key-value pairs that identifies the tags (keys and values) that are associated with the account in Amazon Macie.</p>', 'TagResourceRequest$Tags' => '<p>A map of key-value pairs that specifies the tags to associate with the resource.</p> <p>A resource can have a maximum of 50 tags. Each tag consists of a tag key and an associated tag value. The maximum length of a tag key is 128 characters. The maximum length of a tag value is 256 characters.</p>', ], ], 'TagResourceRequest' => [ 'base' => '<p>Specifies the tags (keys and values) to associate with a classification job, custom data identifier, findings filter, or member account.</p>', 'refs' => [], ], 'TagResourceResponse' => [ 'base' => '<p>The request succeeded. The specified tags were added to the resource.</p>', 'refs' => [], ], 'TagScopeTerm' => [ 'base' => '<p>Specifies a tag-based condition that determines whether an S3 object is included or excluded from a classification job.</p>', 'refs' => [ 'JobScopeTerm$TagScopeTerm' => '<p>A tag-based condition that defines the operator and tag keys or tag key and value pairs for including or excluding objects from the job.</p>', ], ], 'TagTarget' => [ 'base' => '<p>The type of object to apply a tag-based condition to. Valid values are:</p>', 'refs' => [ 'TagScopeTerm$Target' => '<p>The type of object to apply the condition to.</p>', ], ], 'TagValuePair' => [ 'base' => '<p>Specifies a tag key or tag key and value pair to use in a tag-based condition that determines whether an S3 object is included or excluded from a classification job. Tag keys and values are case sensitive. Also, Amazon Macie doesn\'t support use of partial values or wildcard characters in tag-based conditions.</p>', 'refs' => [ '__listOfTagValuePair$member' => NULL, ], ], 'TestCustomDataIdentifierRequest' => [ 'base' => '<p>Specifies the detection criteria of a custom data identifier to test.</p>', 'refs' => [], ], 'TestCustomDataIdentifierResponse' => [ 'base' => '<p>Provides test results for a custom data identifier.</p>', 'refs' => [], ], 'ThrottlingException' => [ 'base' => '<p>Provides information about an error that occurred because too many requests were sent during a certain amount of time.</p>', 'refs' => [], ], 'TimeRange' => [ 'base' => '<p>An inclusive time period that Amazon Macie usage data applies to. Possible values are:</p>', 'refs' => [ 'GetUsageStatisticsRequest$TimeRange' => '<p>The inclusive time period to query usage data for. Valid values are: MONTH_TO_DATE, for the current calendar month to date; and, PAST_30_DAYS, for the preceding 30 days. If you don\'t specify a value, Amazon Macie provides usage data for the preceding 30 days.</p>', 'GetUsageStatisticsResponse$TimeRange' => '<p>The inclusive time period that the usage data applies to. Possible values are: MONTH_TO_DATE, for the current calendar month to date; and, PAST_30_DAYS, for the preceding 30 days.</p>', 'GetUsageTotalsResponse$TimeRange' => '<p>The inclusive time period that the usage data applies to. Possible values are: MONTH_TO_DATE, for the current calendar month to date; and, PAST_30_DAYS, for the preceding 30 days.</p>', ], ], 'Type' => [ 'base' => NULL, 'refs' => [ 'BucketServerSideEncryption$Type' => '<p>The type of server-side encryption that\'s used by default when storing new objects in the bucket. Possible values are:</p> <ul><li><p>AES256 - New objects are encrypted with an Amazon S3 managed key and use Amazon S3 managed encryption (SSE-S3).</p></li> <li><p>aws:kms - New objects are encrypted with an KMS CMK, specified by the kmsMasterKeyId property, and use Amazon Web Services managed KMS encryption (AWS-KMS) or customer managed KMS encryption (SSE-KMS).</p></li> <li><p>NONE - New objects aren\'t encrypted by default. Default encryption is disabled for the bucket.</p></li></ul>', ], ], 'Unit' => [ 'base' => NULL, 'refs' => [ 'ServiceLimit$Unit' => '<p>The unit of measurement for the value specified by the value field.</p>', ], ], 'UnprocessedAccount' => [ 'base' => ' <p>Provides information about an account-related request that hasn\'t been processed.</p>', 'refs' => [ '__listOfUnprocessedAccount$member' => NULL, ], ], 'UntagResourceResponse' => [ 'base' => '<p>The request succeeded. The specified tags were removed from the resource.</p>', 'refs' => [], ], 'UpdateClassificationJobRequest' => [ 'base' => '<p>Changes the status of a classification job. For more information about pausing, resuming, or cancelling jobs, see <a href="https://docs.aws.amazon.com/macie/latest/user/discovery-jobs-manage.html">Managing sensitive data discovery jobs</a> in the <i>Amazon Macie User Guide</i>.</p>', 'refs' => [], ], 'UpdateFindingsFilterRequest' => [ 'base' => '<p>Specifies the criteria and other settings for a findings filter.</p>', 'refs' => [], ], 'UpdateFindingsFilterResponse' => [ 'base' => '<p>Provides information about a findings filter that was updated in response to a request.</p>', 'refs' => [], ], 'UpdateMacieSessionRequest' => [ 'base' => '<p>Changes the status or configuration settings for an Amazon Macie account.</p>', 'refs' => [], ], 'UpdateMemberSessionRequest' => [ 'base' => '<p>Suspends (pauses) or re-enables an Amazon Macie member account.</p>', 'refs' => [], ], 'UpdateOrganizationConfigurationRequest' => [ 'base' => '<p>Specifies whether to enable Amazon Macie automatically for accounts that are added to an Amazon Web Services organization.</p>', 'refs' => [], ], 'UsageByAccount' => [ 'base' => '<p>Provides data for a specific usage metric and the corresponding quota for an Amazon Macie account.</p>', 'refs' => [ '__listOfUsageByAccount$member' => NULL, ], ], 'UsageRecord' => [ 'base' => '<p>Provides quota and aggregated usage data for an Amazon Macie account.</p>', 'refs' => [ '__listOfUsageRecord$member' => NULL, ], ], 'UsageStatisticsFilter' => [ 'base' => '<p>Specifies a condition for filtering the results of a query for quota and usage data for one or more Amazon Macie accounts.</p>', 'refs' => [ '__listOfUsageStatisticsFilter$member' => NULL, ], ], 'UsageStatisticsFilterComparator' => [ 'base' => '<p>The operator to use in a condition that filters the results of a query for Amazon Macie account quotas and usage data. Valid values are:</p>', 'refs' => [ 'UsageStatisticsFilter$Comparator' => '<p>The operator to use in the condition. If the value for the key property is accountId, this value must be CONTAINS. If the value for the key property is any other supported field, this value can be EQ, GT, GTE, LT, LTE, or NE.</p>', ], ], 'UsageStatisticsFilterKey' => [ 'base' => '<p>The field to use in a condition that filters the results of a query for Amazon Macie account quotas and usage data. Valid values are:</p>', 'refs' => [ 'UsageStatisticsFilter$Key' => '<p>The field to use in the condition.</p>', ], ], 'UsageStatisticsSortBy' => [ 'base' => '<p>Specifies criteria for sorting the results of a query for Amazon Macie account quotas and usage data.</p>', 'refs' => [ 'GetUsageStatisticsRequest$SortBy' => '<p>The criteria to use to sort the query results.</p>', ], ], 'UsageStatisticsSortKey' => [ 'base' => '<p>The field to use to sort the results of a query for Amazon Macie account quotas and usage data. Valid values are:</p>', 'refs' => [ 'UsageStatisticsSortBy$Key' => '<p>The field to sort the results by.</p>', ], ], 'UsageTotal' => [ 'base' => '<p>Provides aggregated data for an Amazon Macie usage metric. The value for the metric reports estimated usage data for an account for the preceding 30 days or the current calendar month to date, depending on the time period (timeRange) specified in the request.</p>', 'refs' => [ '__listOfUsageTotal$member' => NULL, ], ], 'UsageType' => [ 'base' => '<p>The name of an Amazon Macie usage metric for an account. Possible values are:</p>', 'refs' => [ 'UsageByAccount$Type' => '<p>The name of the metric. Possible values are: DATA_INVENTORY_EVALUATION, for monitoring S3 buckets; and, SENSITIVE_DATA_DISCOVERY, for analyzing S3 objects to detect sensitive data.</p>', 'UsageTotal$Type' => '<p>The name of the metric. Possible values are: DATA_INVENTORY_EVALUATION, for monitoring S3 buckets; and, SENSITIVE_DATA_DISCOVERY, for analyzing S3 objects to detect sensitive data.</p>', ], ], 'UserIdentity' => [ 'base' => '<p>Provides information about the type and other characteristics of an entity that performed an action on an affected resource.</p>', 'refs' => [ 'FindingActor$UserIdentity' => '<p>The type and other characteristics of the entity that performed the action on the affected resource.</p>', ], ], 'UserIdentityRoot' => [ 'base' => '<p>Provides information about an Amazon Web Services account and entity that performed an action on an affected resource. The action was performed using the credentials for your Amazon Web Services account.</p>', 'refs' => [ 'UserIdentity$Root' => '<p>If the action was performed using the credentials for your Amazon Web Services account, the details of your account.</p>', ], ], 'UserIdentityType' => [ 'base' => '<p>The type of entity that performed the action on the affected resource. Possible values are:</p>', 'refs' => [ 'UserIdentity$Type' => '<p>The type of entity that performed the action.</p>', ], ], 'UserPausedDetails' => [ 'base' => '<p>Provides information about when a classification job was paused. For a one-time job, this object also specifies when the job will expire and be cancelled if it isn\'t resumed. For a recurring job, this object also specifies when the paused job run will expire and be cancelled if it isn\'t resumed. This object is present only if a job\'s current status (jobStatus) is USER_PAUSED. The information in this object applies only to a job that was paused while it had a status of RUNNING.</p>', 'refs' => [ 'DescribeClassificationJobResponse$UserPausedDetails' => '<p>If the current status of the job is USER_PAUSED, specifies when the job was paused and when the job or job run will expire and be cancelled if it isn\'t resumed. This value is present only if the value for jobStatus is USER_PAUSED.</p>', 'JobSummary$UserPausedDetails' => '<p>If the current status of the job is USER_PAUSED, specifies when the job was paused and when the job or job run will expire and be cancelled if it isn\'t resumed. This value is present only if the value for jobStatus is USER_PAUSED.</p>', ], ], 'ValidationException' => [ 'base' => '<p>Provides information about an error that occurred due to a syntax error in a request.</p>', 'refs' => [], ], 'WeeklySchedule' => [ 'base' => '<p>Specifies a weekly recurrence pattern for running a classification job.</p>', 'refs' => [ 'JobScheduleFrequency$WeeklySchedule' => '<p>Specifies a weekly recurrence pattern for running the job.</p>', ], ], '__boolean' => [ 'base' => NULL, 'refs' => [ 'AccessControlList$AllowsPublicReadAccess' => '<p>Specifies whether the ACL grants the general public with read access permissions for the bucket.</p>', 'AccessControlList$AllowsPublicWriteAccess' => '<p>Specifies whether the ACL grants the general public with write access permissions for the bucket.</p>', 'BatchGetCustomDataIdentifierSummary$Deleted' => '<p>Specifies whether the custom data identifier was deleted. If you delete a custom data identifier, Amazon Macie doesn\'t delete it permanently. Instead, it soft deletes the identifier.</p>', 'BlockPublicAccess$BlockPublicAcls' => '<p>Specifies whether Amazon S3 blocks public access control lists (ACLs) for the bucket and objects in the bucket.</p>', 'BlockPublicAccess$BlockPublicPolicy' => '<p>Specifies whether Amazon S3 blocks public bucket policies for the bucket.</p>', 'BlockPublicAccess$IgnorePublicAcls' => '<p>Specifies whether Amazon S3 ignores public ACLs for the bucket and objects in the bucket.</p>', 'BlockPublicAccess$RestrictPublicBuckets' => '<p>Specifies whether Amazon S3 restricts public bucket policies for the bucket.</p>', 'BucketMetadata$Versioning' => '<p>Specifies whether versioning is enabled for the bucket.</p>', 'BucketPolicy$AllowsPublicReadAccess' => '<p>Specifies whether the bucket policy allows the general public to have read access to the bucket.</p>', 'BucketPolicy$AllowsPublicWriteAccess' => '<p>Specifies whether the bucket policy allows the general public to have write access to the bucket.</p>', 'ClassificationResult$AdditionalOccurrences' => '<p>Specifies whether Amazon Macie detected additional occurrences of sensitive data in the S3 object. A finding includes location data for a maximum of 15 occurrences of sensitive data.</p> <p>This value can help you determine whether to investigate additional occurrences of sensitive data in an object. You can do this by referring to the corresponding sensitive data discovery result for the finding (ClassificationDetails.detailedResultsLocation).</p>', 'CreateClassificationJobRequest$InitialRun' => '<p>Specifies whether to analyze all existing, eligible objects immediately after the job is created.</p>', 'CreateInvitationsRequest$DisableEmailNotification' => '<p>Specifies whether to send an email notification to the root user of each account that the invitation will be sent to. This notification is in addition to an alert that the root user receives in Personal Health Dashboard. To send an email notification to the root user of each account, set this value to true.</p>', 'DescribeClassificationJobResponse$InitialRun' => '<p>Specifies whether the job is configured to analyze all existing, eligible objects immediately after it\'s created.</p>', 'DescribeOrganizationConfigurationResponse$AutoEnable' => '<p>Specifies whether Amazon Macie is enabled automatically for accounts that are added to the Amazon Web Services organization.</p>', 'DescribeOrganizationConfigurationResponse$MaxAccountLimitReached' => '<p>Specifies whether the maximum number of Amazon Macie member accounts are part of the Amazon Web Services organization.</p>', 'Finding$Archived' => '<p>Specifies whether the finding is archived (suppressed).</p>', 'Finding$Sample' => '<p>Specifies whether the finding is a sample finding. A <i>sample finding</i> is a finding that uses example data to demonstrate what a finding might contain.</p>', 'GetCustomDataIdentifierResponse$Deleted' => '<p>Specifies whether the custom data identifier was deleted. If you delete a custom data identifier, Amazon Macie doesn\'t delete it permanently. Instead, it soft deletes the identifier.</p>', 'ReplicationDetails$Replicated' => '<p>Specifies whether the bucket is configured to replicate one or more objects to any destination.</p>', 'ReplicationDetails$ReplicatedExternally' => '<p>Specifies whether the bucket is configured to replicate one or more objects to an Amazon Web Services account that isn\'t part of the same Amazon Macie organization.</p>', 'S3Object$PublicAccess' => '<p>Specifies whether the object is publicly accessible due to the combination of permissions settings that apply to the object.</p>', 'SecurityHubConfiguration$PublishClassificationFindings' => '<p>Specifies whether to publish sensitive data findings to Security Hub. If you set this value to true, Amazon Macie automatically publishes all sensitive data findings that weren\'t suppressed by a findings filter. The default value is false.</p>', 'SecurityHubConfiguration$PublishPolicyFindings' => '<p>Specifies whether to publish policy findings to Security Hub. If you set this value to true, Amazon Macie automatically publishes all new and updated policy findings that weren\'t suppressed by a findings filter. The default value is true.</p>', 'ServiceLimit$IsServiceLimited' => '<p>Specifies whether the account has met the quota that corresponds to the metric specified by the UsageByAccount.type field in the response.</p>', 'SessionContextAttributes$MfaAuthenticated' => '<p>Specifies whether the credentials were authenticated with a multi-factor authentication (MFA) device.</p>', 'UpdateOrganizationConfigurationRequest$AutoEnable' => '<p>Specifies whether to enable Amazon Macie automatically for each account, when the account is added to the Amazon Web Services organization.</p>', ], ], '__double' => [ 'base' => NULL, 'refs' => [ 'IpGeoLocation$Lat' => '<p>The latitude coordinate of the location, rounded to four decimal places.</p>', 'IpGeoLocation$Lon' => '<p>The longitude coordinate of the location, rounded to four decimal places.</p>', 'Statistics$ApproximateNumberOfObjectsToProcess' => '<p>The approximate number of objects that the job has yet to process during its current run.</p>', 'Statistics$NumberOfRuns' => '<p>The number of times that the job has run.</p>', ], ], '__integer' => [ 'base' => NULL, 'refs' => [ 'CreateClassificationJobRequest$SamplingPercentage' => '<p>The sampling depth, as a percentage, to apply when processing objects. This value determines the percentage of eligible objects that the job analyzes. If this value is less than 100, Amazon Macie selects the objects to analyze at random, up to the specified percentage, and analyzes all the data in those objects.</p>', 'CreateCustomDataIdentifierRequest$MaximumMatchDistance' => '<p>The maximum number of characters that can exist between text that matches the regex pattern and the character sequences specified by the keywords array. Macie includes or excludes a result based on the proximity of a keyword to text that matches the regex pattern. The distance can be 1-300 characters. The default value is 50.</p>', 'CreateFindingsFilterRequest$Position' => '<p>The position of the filter in the list of saved filters on the Amazon Macie console. This value also determines the order in which the filter is applied to findings, relative to other filters that are also applied to the findings.</p>', 'DescribeBucketsRequest$MaxResults' => '<p>The maximum number of items to include in each page of the response. The default value is 50.</p>', 'DescribeClassificationJobResponse$SamplingPercentage' => '<p>The sampling depth, as a percentage, that determines the percentage of eligible objects that the job analyzes.</p>', 'GetCustomDataIdentifierResponse$MaximumMatchDistance' => '<p>The maximum number of characters that can exist between text that matches the regex pattern and the character sequences specified by the keywords array. Macie includes or excludes a result based on the proximity of a keyword to text that matches the regex pattern.</p>', 'GetFindingStatisticsRequest$Size' => '<p>The maximum number of items to include in each page of the response.</p>', 'GetFindingsFilterResponse$Position' => '<p>The position of the filter in the list of saved filters on the Amazon Macie console. This value also determines the order in which the filter is applied to findings, relative to other filters that are also applied to the findings.</p>', 'GetUsageStatisticsRequest$MaxResults' => '<p>The maximum number of items to include in each page of the response.</p>', 'ListClassificationJobsRequest$MaxResults' => '<p>The maximum number of items to include in each page of the response.</p>', 'ListCustomDataIdentifiersRequest$MaxResults' => '<p>The maximum number of items to include in each page of the response.</p>', 'ListFindingsRequest$MaxResults' => '<p>The maximum number of items to include in each page of the response.</p>', 'MonthlySchedule$DayOfMonth' => '<p>The numeric day of the month when Amazon Macie runs the job. This value can be an integer from 1 through 31.</p> <p>If this value exceeds the number of days in a certain month, Macie doesn\'t run the job that month. Macie runs the job only during months that have the specified day. For example, if this value is 31 and a month has only 30 days, Macie doesn\'t run the job that month. To run the job every month, specify a value that\'s less than 29.</p>', 'SearchResourcesRequest$MaxResults' => '<p>The maximum number of items to include in each page of the response. The default value is 50.</p>', 'TestCustomDataIdentifierRequest$MaximumMatchDistance' => '<p>The maximum number of characters that can exist between text that matches the regex pattern and the character sequences specified by the keywords array. Macie includes or excludes a result based on the proximity of a keyword to text that matches the regex pattern. The distance can be 1-300 characters. The default value is 50.</p>', 'TestCustomDataIdentifierResponse$MatchCount' => '<p>The number of instances of sample text that matched the detection criteria specified in the custom data identifier.</p>', 'UpdateFindingsFilterRequest$Position' => '<p>The position of the filter in the list of saved filters on the Amazon Macie console. This value also determines the order in which the filter is applied to findings, relative to other filters that are also applied to the findings.</p>', ], ], '__listOfAdminAccount' => [ 'base' => NULL, 'refs' => [ 'ListOrganizationAdminAccountsResponse$AdminAccounts' => '<p>An array of objects, one for each delegated Amazon Macie administrator account for the organization. Only one of these accounts can have a status of ENABLED.</p>', ], ], '__listOfBatchGetCustomDataIdentifierSummary' => [ 'base' => NULL, 'refs' => [ 'BatchGetCustomDataIdentifiersResponse$CustomDataIdentifiers' => '<p>An array of objects, one for each custom data identifier that meets the criteria specified in the request.</p>', ], ], '__listOfBucketMetadata' => [ 'base' => NULL, 'refs' => [ 'DescribeBucketsResponse$Buckets' => '<p>An array of objects, one for each bucket that meets the filter criteria specified in the request.</p>', ], ], '__listOfCriteriaForJob' => [ 'base' => NULL, 'refs' => [ 'CriteriaBlockForJob$And' => '<p>An array of conditions, one for each condition that determines which buckets to include or exclude from the job. If you specify more than one condition, Amazon Macie uses AND logic to join the conditions.</p>', ], ], '__listOfCustomDataIdentifierSummary' => [ 'base' => NULL, 'refs' => [ 'ListCustomDataIdentifiersResponse$Items' => '<p>An array of objects, one for each custom data identifier.</p>', ], ], '__listOfFinding' => [ 'base' => NULL, 'refs' => [ 'GetFindingsResponse$Findings' => '<p>An array of objects, one for each finding that meets the criteria specified in the request.</p>', ], ], '__listOfFindingType' => [ 'base' => NULL, 'refs' => [ 'CreateSampleFindingsRequest$FindingTypes' => '<p>An array that lists one or more types of findings to include in the set of sample findings. Currently, the only supported value is Policy:IAMUser/S3BucketEncryptionDisabled.</p> ', ], ], '__listOfFindingsFilterListItem' => [ 'base' => NULL, 'refs' => [ 'ListFindingsFiltersResponse$FindingsFilterListItems' => '<p>An array of objects, one for each filter that\'s associated with the account.</p>', ], ], '__listOfGroupCount' => [ 'base' => NULL, 'refs' => [ 'GetFindingStatisticsResponse$CountsByGroup' => '<p>An array of objects, one for each group of findings that meet the filter criteria specified in the request.</p>', ], ], '__listOfInvitation' => [ 'base' => NULL, 'refs' => [ 'ListInvitationsResponse$Invitations' => '<p>An array of objects, one for each invitation that was received by the account.</p>', ], ], '__listOfJobScopeTerm' => [ 'base' => NULL, 'refs' => [ 'JobScopingBlock$And' => '<p>An array of conditions, one for each property- or tag-based condition that determines which objects to include or exclude from the job. If you specify more than one condition, Amazon Macie uses AND logic to join the conditions.</p>', ], ], '__listOfJobSummary' => [ 'base' => NULL, 'refs' => [ 'ListClassificationJobsResponse$Items' => '<p>An array of objects, one for each job that meets the filter criteria specified in the request.</p>', ], ], '__listOfKeyValuePair' => [ 'base' => NULL, 'refs' => [ 'BucketMetadata$Tags' => '<p>An array that specifies the tags (keys and values) that are associated with the bucket.</p>', ], ], '__listOfListJobsFilterTerm' => [ 'base' => NULL, 'refs' => [ 'ListJobsFilterCriteria$Excludes' => '<p>An array of objects, one for each condition that determines which jobs to exclude from the results.</p>', 'ListJobsFilterCriteria$Includes' => '<p>An array of objects, one for each condition that determines which jobs to include in the results.</p>', ], ], '__listOfMatchingResource' => [ 'base' => NULL, 'refs' => [ 'SearchResourcesResponse$MatchingResources' => '<p>An array of objects, one for each resource that meets the filter criteria specified in the request.</p>', ], ], '__listOfMember' => [ 'base' => NULL, 'refs' => [ 'ListMembersResponse$Members' => '<p>An array of objects, one for each account that\'s associated with the administrator account and meets the criteria specified by the onlyAssociated request parameter.</p>', ], ], '__listOfS3BucketDefinitionForJob' => [ 'base' => NULL, 'refs' => [ 'JobSummary$BucketDefinitions' => '<p>An array of objects, one for each Amazon Web Services account that owns specific S3 buckets for the job to analyze. Each object specifies the account ID for an account and one or more buckets to analyze for that account. A job\'s definition can contain a bucketDefinitions array or a bucketCriteria object, not both.</p>', 'S3JobDefinition$BucketDefinitions' => '<p>An array of objects, one for each Amazon Web Services account that owns specific S3 buckets to analyze. Each object specifies the account ID for an account and one or more buckets to analyze for that account. A job\'s definition can contain a bucketDefinitions array or a bucketCriteria object, not both.</p>', ], ], '__listOfSearchResourcesCriteria' => [ 'base' => NULL, 'refs' => [ 'SearchResourcesCriteriaBlock$And' => '<p>An array of objects, one for each property- or tag-based condition that includes or excludes resources from the query results. If you specify more than one condition, Amazon Macie uses AND logic to join the conditions.</p>', ], ], '__listOfSearchResourcesTagCriterionPair' => [ 'base' => NULL, 'refs' => [ 'SearchResourcesTagCriterion$TagValues' => '<p>The tag keys, tag values, or tag key and value pairs to use in the condition.</p>', ], ], '__listOfTagCriterionPairForJob' => [ 'base' => NULL, 'refs' => [ 'TagCriterionForJob$TagValues' => '<p>The tag keys, tag values, or tag key and value pairs to use in the condition.</p>', ], ], '__listOfTagValuePair' => [ 'base' => NULL, 'refs' => [ 'TagScopeTerm$TagValues' => '<p>The tag keys or tag key and value pairs to use in the condition. To specify only tag keys in a condition, specify the keys in this array and set the value for each associated tag value to an empty string.</p>', ], ], '__listOfUnprocessedAccount' => [ 'base' => NULL, 'refs' => [ 'CreateInvitationsResponse$UnprocessedAccounts' => '<p>An array of objects, one for each account whose invitation hasn\'t been processed. Each object identifies the account and explains why the invitation hasn\'t been processed for the account.</p>', 'DeclineInvitationsResponse$UnprocessedAccounts' => '<p>An array of objects, one for each account whose invitation hasn\'t been declined. Each object identifies the account and explains why the request hasn\'t been processed for that account.</p>', 'DeleteInvitationsResponse$UnprocessedAccounts' => '<p>An array of objects, one for each account whose invitation hasn\'t been deleted. Each object identifies the account and explains why the request hasn\'t been processed for that account.</p>', ], ], '__listOfUsageByAccount' => [ 'base' => NULL, 'refs' => [ 'UsageRecord$Usage' => '<p>An array of objects that contains usage data and quotas for the account. Each object contains the data for a specific usage metric and the corresponding quota.</p>', ], ], '__listOfUsageRecord' => [ 'base' => NULL, 'refs' => [ 'GetUsageStatisticsResponse$Records' => '<p>An array of objects that contains the results of the query. Each object contains the data for an account that meets the filter criteria specified in the request.</p>', ], ], '__listOfUsageStatisticsFilter' => [ 'base' => NULL, 'refs' => [ 'GetUsageStatisticsRequest$FilterBy' => '<p>An array of objects, one for each condition to use to filter the query results. If you specify more than one condition, Amazon Macie uses an AND operator to join the conditions.</p>', ], ], '__listOfUsageTotal' => [ 'base' => NULL, 'refs' => [ 'GetUsageTotalsResponse$UsageTotals' => '<p>An array of objects that contains the results of the query. Each object contains the data for a specific usage metric.</p>', ], ], '__listOf__string' => [ 'base' => NULL, 'refs' => [ 'BatchGetCustomDataIdentifiersRequest$Ids' => '<p>An array of strings that lists the unique identifiers for the custom data identifiers to retrieve information about.</p>', 'BatchGetCustomDataIdentifiersResponse$NotFoundIdentifierIds' => '<p>An array of identifiers, one for each identifier that was specified in the request, but doesn\'t correlate to an existing custom data identifier.</p>', 'BucketCriteriaAdditionalProperties$Eq' => '<p>The value for the property matches (equals) the specified value. If you specify multiple values, Macie uses OR logic to join the values.</p>', 'BucketCriteriaAdditionalProperties$Neq' => '<p>The value for the property doesn\'t match (doesn\'t equal) the specified value. If you specify multiple values, Amazon Macie uses OR logic to join the values.</p>', 'CreateClassificationJobRequest$CustomDataIdentifierIds' => '<p>The custom data identifiers to use for data analysis and classification.</p>', 'CreateCustomDataIdentifierRequest$IgnoreWords' => '<p>An array that lists specific character sequences (ignore words) to exclude from the results. If the text matched by the regular expression is the same as any string in this array, Amazon Macie ignores it. The array can contain as many as 10 ignore words. Each ignore word can contain 4-90 characters. Ignore words are case sensitive.</p>', 'CreateCustomDataIdentifierRequest$Keywords' => '<p>An array that lists specific character sequences (keywords), one of which must be within proximity (maximumMatchDistance) of the regular expression to match. The array can contain as many as 50 keywords. Each keyword can contain 3-90 characters. Keywords aren\'t case sensitive.</p>', 'CreateInvitationsRequest$AccountIds' => '<p>An array that lists Amazon Web Services account IDs, one for each account to send the invitation to.</p>', 'CriterionAdditionalProperties$Eq' => '<p>The value for the property matches (equals) the specified value. If you specify multiple values, Macie uses OR logic to join the values.</p>', 'CriterionAdditionalProperties$EqExactMatch' => '<p>The value for the property exclusively matches (equals an exact match for) all the specified values. If you specify multiple values, Amazon Macie uses AND logic to join the values.</p> <p>You can use this operator with the following properties: customDataIdentifiers.detections.arn, customDataIdentifiers.detections.name, resourcesAffected.s3Bucket.tags.key, resourcesAffected.s3Bucket.tags.value, resourcesAffected.s3Object.tags.key, resourcesAffected.s3Object.tags.value, sensitiveData.category, and sensitiveData.detections.type.</p>', 'CriterionAdditionalProperties$Neq' => '<p>The value for the property doesn\'t match (doesn\'t equal) the specified value. If you specify multiple values, Macie uses OR logic to join the values.</p>', 'DeclineInvitationsRequest$AccountIds' => '<p>An array that lists Amazon Web Services account IDs, one for each account that sent an invitation to decline.</p>', 'DeleteInvitationsRequest$AccountIds' => '<p>An array that lists Amazon Web Services account IDs, one for each account that sent an invitation to delete.</p>', 'DescribeClassificationJobResponse$CustomDataIdentifierIds' => '<p>The custom data identifiers that the job uses to analyze data.</p>', 'GetCustomDataIdentifierResponse$IgnoreWords' => '<p>An array that lists specific character sequences (ignore words) to exclude from the results. If the text matched by the regular expression is the same as any string in this array, Amazon Macie ignores it. Ignore words are case sensitive.</p>', 'GetCustomDataIdentifierResponse$Keywords' => '<p>An array that lists specific character sequences (keywords), one of which must be within proximity (maximumMatchDistance) of the regular expression to match. Keywords aren\'t case sensitive.</p>', 'GetFindingsRequest$FindingIds' => '<p>An array of strings that lists the unique identifiers for the findings to retrieve.</p>', 'ListFindingsResponse$FindingIds' => '<p>An array of strings, where each string is the unique identifier for a finding that meets the filter criteria specified in the request.</p>', 'ListJobsFilterTerm$Values' => '<p>An array that lists one or more values to use to filter the results.</p>', 'ReplicationDetails$ReplicationAccounts' => '<p>An array of Amazon Web Services account IDs, one for each Amazon Web Services account that the bucket is configured to replicate one or more objects to.</p>', 'S3BucketDefinitionForJob$Buckets' => '<p>An array that lists the names of the buckets.</p>', 'SearchResourcesSimpleCriterion$Values' => '<p>An array that lists one or more values to use in the condition. If you specify multiple values, Amazon Macie uses OR logic to join the values. Valid values for each supported property (key) are:</p> <ul><li><p>ACCOUNT_ID - A string that represents the unique identifier for the Amazon Web Services account that owns the resource.</p></li> <li><p>S3_BUCKET_EFFECTIVE_PERMISSION - A string that represents an enumerated value that Macie defines for the <a href="https://docs.aws.amazon.com/macie/latest/APIReference/datasources-s3.html#datasources-s3-prop-bucketpublicaccess-effectivepermission">BucketPublicAccess.effectivePermission</a> property of an S3 bucket.</p></li> <li><p>S3_BUCKET_NAME - A string that represents the name of an S3 bucket.</p></li> <li><p>S3_BUCKET_SHARED_ACCESS - A string that represents an enumerated value that Macie defines for the <a href="https://docs.aws.amazon.com/macie/latest/APIReference/datasources-s3.html#datasources-s3-prop-bucketmetadata-sharedaccess">BucketMetadata.sharedAccess</a> property of an S3 bucket.</p></li></ul> <p>Values are case sensitive. Also, Macie doesn\'t support use of partial values or wildcard characters in values.</p>', 'SimpleCriterionForJob$Values' => '<p>An array that lists one or more values to use in the condition. If you specify multiple values, Amazon Macie uses OR logic to join the values. Valid values for each supported property (key) are:</p> <ul><li><p>ACCOUNT_ID - A string that represents the unique identifier for the Amazon Web Services account that owns the bucket.</p></li> <li><p>S3_BUCKET_EFFECTIVE_PERMISSION - A string that represents an enumerated value that Macie defines for the <a href="https://docs.aws.amazon.com/macie/latest/APIReference/datasources-s3.html#datasources-s3-prop-bucketpublicaccess-effectivepermission">BucketPublicAccess.effectivePermission</a> property of a bucket.</p></li> <li><p>S3_BUCKET_NAME - A string that represents the name of a bucket.</p></li> <li><p>S3_BUCKET_SHARED_ACCESS - A string that represents an enumerated value that Macie defines for the <a href="https://docs.aws.amazon.com/macie/latest/APIReference/datasources-s3.html#datasources-s3-prop-bucketmetadata-sharedaccess">BucketMetadata.sharedAccess</a> property of a bucket.</p></li></ul> <p>Values are case sensitive. Also, Macie doesn\'t support use of partial values or wildcard characters in these values.</p>', 'SimpleScopeTerm$Values' => '<p>An array that lists the values to use in the condition. If the value for the key property is OBJECT_EXTENSION or OBJECT_KEY, this array can specify multiple values and Amazon Macie uses OR logic to join the values. Otherwise, this array can specify only one value.</p> <p>Valid values for each supported property (key) are:</p> <ul><li><p>OBJECT_EXTENSION - A string that represents the file name extension of an object. For example: docx or pdf</p></li> <li><p>OBJECT_KEY - A string that represents the key prefix (folder name or path) of an object. For example: logs or awslogs/eventlogs. This value applies a condition to objects whose keys (names) begin with the specified value.</p></li> <li><p>OBJECT_LAST_MODIFIED_DATE - The date and time (in UTC and extended ISO 8601 format) when an object was created or last changed, whichever is latest. For example: 2020-09-28T14:31:13Z</p></li> <li><p>OBJECT_SIZE - An integer that represents the storage size (in bytes) of an object.</p></li></ul> <p>Macie doesn\'t support use of wildcard characters in these values. Also, string values are case sensitive.</p>', 'TestCustomDataIdentifierRequest$IgnoreWords' => '<p>An array that lists specific character sequences (ignore words) to exclude from the results. If the text matched by the regular expression is the same as any string in this array, Amazon Macie ignores it. The array can contain as many as 10 ignore words. Each ignore word can contain 4-90 characters. Ignore words are case sensitive.</p>', 'TestCustomDataIdentifierRequest$Keywords' => '<p>An array that lists specific character sequences (keywords), one of which must be within proximity (maximumMatchDistance) of the regular expression to match. The array can contain as many as 50 keywords. Each keyword can contain 3-90 characters. Keywords aren\'t case sensitive.</p>', 'UsageStatisticsFilter$Values' => '<p>An array that lists values to use in the condition, based on the value for the field specified by the key property. If the value for the key property is accountId, this array can specify multiple values. Otherwise, this array can specify only one value.</p> <p>Valid values for each supported field are:</p> <ul><li><p>accountId - The unique identifier for an Amazon Web Services account.</p></li> <li><p>freeTrialStartDate - The date and time, in UTC and extended ISO 8601 format, when the free trial started for an account.</p></li> <li><p>serviceLimit - A Boolean (true or false) value that indicates whether an account has reached its monthly quota.</p></li> <li><p>total - A string that represents the current estimated cost for an account.</p></li></ul>', ], ], '__long' => [ 'base' => NULL, 'refs' => [ 'BucketCountByEffectivePermission$PubliclyAccessible' => '<p>The total number of buckets that allow the general public to have read or write access to the bucket.</p>', 'BucketCountByEffectivePermission$PubliclyReadable' => '<p>The total number of buckets that allow the general public to have read access to the bucket.</p>', 'BucketCountByEffectivePermission$PubliclyWritable' => '<p>The total number of buckets that allow the general public to have write access to the bucket.</p>', 'BucketCountByEffectivePermission$Unknown' => '<p>The total number of buckets that Amazon Macie wasn\'t able to evaluate permissions settings for. Macie can\'t determine whether these buckets are publicly accessible.</p>', 'BucketCountByEncryptionType$KmsManaged' => ' <p>The total number of buckets that use an Key Management Service (KMS) customer master key (CMK) to encrypt new objects by default. These buckets use Amazon Web Services managed KMS encryption (AWS-KMS) or customer managed KMS encryption (SSE-KMS) by default.</p>', 'BucketCountByEncryptionType$S3Managed' => '<p>The total number of buckets that use an Amazon S3 managed key to encrypt new objects by default. These buckets use Amazon S3 managed encryption (SSE-S3) by default.</p>', 'BucketCountByEncryptionType$Unencrypted' => '<p>The total number of buckets that don\'t encrypt new objects by default. Default encryption is disabled for these buckets.</p>', 'BucketCountByEncryptionType$Unknown' => '<p>The total number of buckets that Amazon Macie doesn\'t have current encryption metadata for. Macie can\'t provide current data about the default encryption settings for these buckets.</p>', 'BucketCountBySharedAccessType$External' => '<p>The total number of buckets that are shared with an Amazon Web Services account that isn\'t part of the same Amazon Macie organization.</p>', 'BucketCountBySharedAccessType$Internal' => '<p>The total number of buckets that are shared with an Amazon Web Services account that\'s part of the same Amazon Macie organization.</p>', 'BucketCountBySharedAccessType$NotShared' => '<p>The total number of buckets that aren\'t shared with other Amazon Web Services accounts.</p>', 'BucketCountBySharedAccessType$Unknown' => '<p>The total number of buckets that Amazon Macie wasn\'t able to evaluate shared access settings for. Macie can\'t determine whether these buckets are shared with other Amazon Web Services accounts.</p>', 'BucketCountPolicyAllowsUnencryptedObjectUploads$AllowsUnencryptedObjectUploads' => '<p>The total number of buckets that don\'t have a bucket policy or have a bucket policy that doesn\'t require server-side encryption of new objects. If a bucket policy exists, the policy doesn\'t require PutObject requests to include the x-amz-server-side-encryption header and it doesn\'t require the value for that header to be AES256 or aws:kms.</p>', 'BucketCountPolicyAllowsUnencryptedObjectUploads$DeniesUnencryptedObjectUploads' => '<p>The total number of buckets whose bucket policies require server-side encryption of new objects. PutObject requests for these buckets must include the x-amz-server-side-encryption header and the value for that header must be AES256 or aws:kms.</p>', 'BucketCountPolicyAllowsUnencryptedObjectUploads$Unknown' => '<p>The total number of buckets that Amazon Macie wasn\'t able to evaluate server-side encryption requirements for. Macie can\'t determine whether the bucket policies for these buckets require server-side encryption of new objects.</p>', 'BucketCriteriaAdditionalProperties$Gt' => '<p>The value for the property is greater than the specified value.</p>', 'BucketCriteriaAdditionalProperties$Gte' => '<p>The value for the property is greater than or equal to the specified value.</p>', 'BucketCriteriaAdditionalProperties$Lt' => '<p>The value for the property is less than the specified value.</p>', 'BucketCriteriaAdditionalProperties$Lte' => '<p>The value for the property is less than or equal to the specified value.</p>', 'BucketMetadata$ClassifiableObjectCount' => '<p>The total number of objects that Amazon Macie can analyze in the bucket. These objects use a supported storage class and have a file name extension for a supported file or storage format.</p>', 'BucketMetadata$ClassifiableSizeInBytes' => '<p>The total storage size, in bytes, of the objects that Amazon Macie can analyze in the bucket. These objects use a supported storage class and have a file name extension for a supported file or storage format.</p> <p>If versioning is enabled for the bucket, Macie calculates this value based on the size of the latest version of each applicable object in the bucket. This value doesn\'t reflect the storage size of all versions of each applicable object in the bucket.</p>', 'BucketMetadata$ObjectCount' => '<p>The total number of objects in the bucket.</p>', 'BucketMetadata$SizeInBytes' => '<p>The total storage size, in bytes, of the bucket.</p> <p>If versioning is enabled for the bucket, Amazon Macie calculates this value based on the size of the latest version of each object in the bucket. This value doesn\'t reflect the storage size of all versions of each object in the bucket.</p>', 'BucketMetadata$SizeInBytesCompressed' => '<p>The total storage size, in bytes, of the objects that are compressed (.gz, .gzip, .zip) files in the bucket.</p> <p>If versioning is enabled for the bucket, Macie calculates this value based on the size of the latest version of each applicable object in the bucket. This value doesn\'t reflect the storage size of all versions of each applicable object in the bucket.</p>', 'Cell$Column' => '<p>The column number of the column that contains the sensitive data. For a Microsoft Excel workbook, this value correlates to the alphabetical character(s) for a column identifier, for example: 1 for column A, 2 for column B, and so on.</p>', 'Cell$Row' => '<p>The row number of the row that contains the sensitive data.</p>', 'ClassificationResult$SizeClassified' => '<p>The total size, in bytes, of the data that the finding applies to.</p>', 'CriterionAdditionalProperties$Gt' => '<p>The value for the property is greater than the specified value.</p>', 'CriterionAdditionalProperties$Gte' => '<p>The value for the property is greater than or equal to the specified value.</p>', 'CriterionAdditionalProperties$Lt' => '<p>The value for the property is less than the specified value.</p>', 'CriterionAdditionalProperties$Lte' => '<p>The value for the property is less than or equal to the specified value.</p>', 'CustomDataIdentifiers$TotalCount' => '<p>The total number of occurrences of the data that was detected by the custom data identifiers and produced the finding.</p>', 'CustomDetection$Count' => '<p>The total number of occurrences of the sensitive data that the custom data identifier detected.</p>', 'DefaultDetection$Count' => '<p>The total number of occurrences of the type of sensitive data that was detected.</p>', 'Finding$Count' => '<p>The total number of occurrences of the finding. For sensitive data findings, this value is always 1. All sensitive data findings are considered new (unique) because they derive from individual classification jobs.</p>', 'GetBucketStatisticsResponse$BucketCount' => '<p>The total number of buckets.</p>', 'GetBucketStatisticsResponse$ClassifiableObjectCount' => '<p>The total number of objects that Amazon Macie can analyze in the buckets. These objects use a supported storage class and have a file name extension for a supported file or storage format.</p>', 'GetBucketStatisticsResponse$ClassifiableSizeInBytes' => '<p>The total storage size, in bytes, of all the objects that Amazon Macie can analyze in the buckets. These objects use a supported storage class and have a file name extension for a supported file or storage format.</p> <p>If versioning is enabled for any of the buckets, Macie calculates this value based on the size of the latest version of each applicable object in those buckets. This value doesn\'t reflect the storage size of all versions of all applicable objects in the buckets.</p>', 'GetBucketStatisticsResponse$ObjectCount' => '<p>The total number of objects in the buckets.</p>', 'GetBucketStatisticsResponse$SizeInBytes' => '<p>The total storage size, in bytes, of the buckets.</p> <p>If versioning is enabled for any of the buckets, Macie calculates this value based on the size of the latest version of each object in those buckets. This value doesn\'t reflect the storage size of all versions of the objects in the buckets.</p>', 'GetBucketStatisticsResponse$SizeInBytesCompressed' => '<p>The total storage size, in bytes, of the objects that are compressed (.gz, .gzip, .zip) files in the buckets.</p> <p>If versioning is enabled for any of the buckets, Macie calculates this value based on the size of the latest version of each applicable object in those buckets. This value doesn\'t reflect the storage size of all versions of the applicable objects in the buckets.</p>', 'GetInvitationsCountResponse$InvitationsCount' => '<p>The total number of invitations that were received by the account, not including the currently accepted invitation.</p>', 'GroupCount$Count' => '<p>The total number of findings in the group of query results.</p>', 'MatchingBucket$ClassifiableObjectCount' => '<p>The total number of objects that Amazon Macie can analyze in the bucket. These objects use a supported storage class and have a file name extension for a supported file or storage format.</p>', 'MatchingBucket$ClassifiableSizeInBytes' => '<p>The total storage size, in bytes, of the objects that Amazon Macie can analyze in the bucket. These objects use a supported storage class and have a file name extension for a supported file or storage format.</p> <p>If versioning is enabled for the bucket, Macie calculates this value based on the size of the latest version of each applicable object in the bucket. This value doesn\'t reflect the storage size of all versions of each applicable object in the bucket.</p>', 'MatchingBucket$ObjectCount' => '<p>The total number of objects in the bucket.</p>', 'MatchingBucket$SizeInBytes' => '<p>The total storage size, in bytes, of the bucket.</p> <p>If versioning is enabled for the bucket, Amazon Macie calculates this value based on the size of the latest version of each object in the bucket. This value doesn\'t reflect the storage size of all versions of each object in the bucket.</p>', 'MatchingBucket$SizeInBytesCompressed' => '<p>The total storage size, in bytes, of the objects that are compressed (.gz, .gzip, .zip) files in the bucket.</p> <p>If versioning is enabled for the bucket, Macie calculates this value based on the size of the latest version of each applicable object in the bucket. This value doesn\'t reflect the storage size of all versions of each applicable object in the bucket.</p>', 'ObjectCountByEncryptionType$CustomerManaged' => '<p>The total number of objects that are encrypted with a customer-managed key. The objects use customer-provided server-side encryption (SSE-C).</p>', 'ObjectCountByEncryptionType$KmsManaged' => '<p>The total number of objects that are encrypted with an Key Management Service (KMS) customer master key (CMK). The objects use Amazon Web Services managed KMS encryption (AWS-KMS) or customer managed KMS encryption (SSE-KMS).</p>', 'ObjectCountByEncryptionType$S3Managed' => '<p>The total number of objects that are encrypted with an Amazon S3 managed key. The objects use Amazon S3 managed encryption (SSE-S3).</p>', 'ObjectCountByEncryptionType$Unencrypted' => '<p>The total number of objects that aren\'t encrypted or use client-side encryption.</p>', 'ObjectCountByEncryptionType$Unknown' => '<p>The total number of objects that Amazon Macie doesn\'t have current encryption metadata for. Macie can\'t provide current data about the encryption settings for these objects.</p>', 'ObjectLevelStatistics$FileType' => '<p>The total storage size (in bytes) or number of objects that Amazon Macie can\'t analyze because the objects don\'t have a file name extension for a supported file or storage format.</p>', 'ObjectLevelStatistics$StorageClass' => '<p>The total storage size (in bytes) or number of objects that Amazon Macie can\'t analyze because the objects use an unsupported storage class.</p>', 'ObjectLevelStatistics$Total' => '<p>The total storage size (in bytes) or number of objects that Amazon Macie can\'t analyze because the objects use an unsupported storage class or don\'t have a file name extension for a supported file or storage format.</p>', 'Page$PageNumber' => '<p>The page number of the page that contains the sensitive data.</p>', 'Range$End' => '<p>The number of lines from the beginning of the file to the end of the sensitive data.</p> ', 'Range$Start' => '<p>The number of lines from the beginning of the file to the beginning of the sensitive data.</p> ', 'Range$StartColumn' => '<p>The number of characters, with spaces and starting from 1, from the beginning of the first line that contains the sensitive data (start) to the beginning of the sensitive data.</p>', 'Record$RecordIndex' => '<p>For an Avro object container or Parquet file, the record index, starting from 0, for the record that contains the sensitive data. For a JSON Lines file, the line index, starting from 0, for the line that contains the sensitive data. This value is always 0 for JSON files.</p>', 'S3Object$Size' => '<p>The total storage size, in bytes, of the object.</p>', 'SensitiveDataItem$TotalCount' => '<p>The total number of occurrences of the sensitive data that was detected.</p>', 'ServiceLimit$Value' => '<p>The value for the metric specified by the UsageByAccount.type field in the response.</p>', 'Severity$Score' => '<p>The numerical representation of the finding\'s severity, ranging from 1 (least severe) to 3 (most severe).</p>', ], ], '__string' => [ 'base' => NULL, 'refs' => [ 'AcceptInvitationRequest$AdministratorAccountId' => '<p>The Amazon Web Services account ID for the account that sent the invitation.</p>', 'AcceptInvitationRequest$InvitationId' => '<p>The unique identifier for the invitation to accept.</p>', 'AcceptInvitationRequest$MasterAccount' => '<p>(Deprecated) The Amazon Web Services account ID for the account that sent the invitation. This property has been replaced by the administratorAccountId property and is retained only for backward compatibility.</p>', 'AccessDeniedException$Message' => '<p>The explanation of the error that occurred.</p>', 'AccountDetail$AccountId' => '<p>The Amazon Web Services account ID for the account.</p>', 'AccountDetail$Email' => '<p>The email address for the account.</p>', 'AdminAccount$AccountId' => '<p>The Amazon Web Services account ID for the account.</p>', 'ApiCallDetails$Api' => '<p>The name of the operation that was invoked most recently and produced the finding.</p>', 'ApiCallDetails$ApiServiceName' => '<p>The URL of the Amazon Web Service that provides the operation, for example: s3.amazonaws.com.</p>', 'AssumedRole$AccessKeyId' => '<p>The Amazon Web Services access key ID that identifies the credentials.</p>', 'AssumedRole$AccountId' => '<p>The unique identifier for the Amazon Web Services account that owns the entity that was used to get the credentials.</p>', 'AssumedRole$Arn' => '<p>The Amazon Resource Name (ARN) of the entity that was used to get the credentials.</p>', 'AssumedRole$PrincipalId' => '<p>The unique identifier for the entity that was used to get the credentials.</p>', 'AwsAccount$AccountId' => '<p>The unique identifier for the Amazon Web Services account.</p>', 'AwsAccount$PrincipalId' => '<p>The unique identifier for the entity that performed the action.</p>', 'AwsService$InvokedBy' => '<p>The name of the Amazon Web Service that performed the action.</p>', 'BatchGetCustomDataIdentifierSummary$Arn' => '<p>The Amazon Resource Name (ARN) of the custom data identifier.</p>', 'BatchGetCustomDataIdentifierSummary$Description' => '<p>The custom description of the custom data identifier.</p>', 'BatchGetCustomDataIdentifierSummary$Id' => '<p>The unique identifier for the custom data identifier.</p>', 'BatchGetCustomDataIdentifierSummary$Name' => '<p>The custom name of the custom data identifier.</p>', 'BucketCriteriaAdditionalProperties$Prefix' => '<p>The name of the bucket begins with the specified value.</p>', 'BucketMetadata$AccountId' => '<p>The unique identifier for the Amazon Web Services account that owns the bucket.</p>', 'BucketMetadata$BucketArn' => '<p>The Amazon Resource Name (ARN) of the bucket.</p>', 'BucketMetadata$BucketName' => '<p>The name of the bucket.</p>', 'BucketMetadata$Region' => '<p>The Amazon Web Services Region that hosts the bucket.</p>', 'BucketServerSideEncryption$KmsMasterKeyId' => '<p>The Amazon Resource Name (ARN) or unique identifier (key ID) for the Key Management Service (KMS) customer master key (CMK) that\'s used by default to encrypt objects that are added to the bucket. This value is null if the bucket uses an Amazon S3 managed key to encrypt new objects or the bucket doesn\'t encrypt new objects by default.</p>', 'BucketSortCriteria$AttributeName' => '<p>The name of the bucket property to sort the results by. This value can be one of the following properties that Amazon Macie defines as bucket metadata: accountId, bucketName, classifiableObjectCount, classifiableSizeInBytes, objectCount, or sizeInBytes.</p>', 'Cell$CellReference' => '<p>The location of the cell, as an absolute cell reference, that contains the sensitive data, for example Sheet2!C5 for cell C5 on Sheet2 in a Microsoft Excel workbook. This value is null for CSV and TSV files.</p>', 'Cell$ColumnName' => '<p>The name of the column that contains the sensitive data, if available.</p>', 'ClassificationDetails$DetailedResultsLocation' => '<p>The path to the folder or file (in Amazon S3) that contains the corresponding sensitive data discovery result for the finding. If a finding applies to a large archive or compressed file, this value is the path to a folder. Otherwise, this value is the path to a file.</p>', 'ClassificationDetails$JobArn' => '<p>The Amazon Resource Name (ARN) of the classification job that produced the finding.</p>', 'ClassificationDetails$JobId' => '<p>The unique identifier for the classification job that produced the finding.</p>', 'ClassificationResult$MimeType' => '<p>The type of content, as a MIME type, that the finding applies to. For example, application/gzip, for a GNU Gzip compressed archive file, or application/pdf, for an Adobe Portable Document Format file.</p>', 'ClassificationResultStatus$Code' => ' <p>The status of the finding. Possible values are:</p> <ul><li><p>COMPLETE - Amazon Macie successfully completed its analysis of the S3 object that the finding applies to.</p></li> <li><p>PARTIAL - Macie analyzed only a subset of the data in the S3 object that the finding applies to. For example, the object is an archive file that contains files in an unsupported format.</p></li> <li><p>SKIPPED - Macie wasn\'t able to analyze the S3 object that the finding applies to. For example, the object is a file in an unsupported format.</p></li></ul>', 'ClassificationResultStatus$Reason' => '<p>A brief description of the status of the finding. Amazon Macie uses this value to notify you of any errors, warnings, or considerations that might impact your analysis of the finding.</p>', 'ConflictException$Message' => '<p>The explanation of the error that occurred.</p>', 'CreateClassificationJobRequest$ClientToken' => '<p>A unique, case-sensitive token that you provide to ensure the idempotency of the request.</p>', 'CreateClassificationJobRequest$Description' => '<p>A custom description of the job. The description can contain as many as 200 characters.</p>', 'CreateClassificationJobRequest$Name' => '<p>A custom name for the job. The name can contain as many as 500 characters.</p>', 'CreateClassificationJobResponse$JobArn' => '<p>The Amazon Resource Name (ARN) of the job.</p>', 'CreateClassificationJobResponse$JobId' => '<p>The unique identifier for the job.</p>', 'CreateCustomDataIdentifierRequest$ClientToken' => '<p>A unique, case-sensitive token that you provide to ensure the idempotency of the request.</p>', 'CreateCustomDataIdentifierRequest$Description' => '<p>A custom description of the custom data identifier. The description can contain as many as 512 characters.</p> <p>We strongly recommend that you avoid including any sensitive data in the description of a custom data identifier. Other users of your account might be able to see the identifier\'s description, depending on the actions that they\'re allowed to perform in Amazon Macie.</p>', 'CreateCustomDataIdentifierRequest$Name' => '<p>A custom name for the custom data identifier. The name can contain as many as 128 characters.</p> <p>We strongly recommend that you avoid including any sensitive data in the name of a custom data identifier. Other users of your account might be able to see the identifier\'s name, depending on the actions that they\'re allowed to perform in Amazon Macie.</p>', 'CreateCustomDataIdentifierRequest$Regex' => '<p>The regular expression (<i>regex</i>) that defines the pattern to match. The expression can contain as many as 512 characters.</p>', 'CreateCustomDataIdentifierResponse$CustomDataIdentifierId' => '<p>The unique identifier for the custom data identifier that was created.</p>', 'CreateFindingsFilterRequest$ClientToken' => '<p>A unique, case-sensitive token that you provide to ensure the idempotency of the request.</p>', 'CreateFindingsFilterRequest$Description' => '<p>A custom description of the filter. The description can contain as many as 512 characters.</p> <p>We strongly recommend that you avoid including any sensitive data in the description of a filter. Other users of your account might be able to see the filter\'s description, depending on the actions that they\'re allowed to perform in Amazon Macie.</p>', 'CreateFindingsFilterRequest$Name' => '<p>A custom name for the filter. The name must contain at least 3 characters and can contain as many as 64 characters.</p> <p>We strongly recommend that you avoid including any sensitive data in the name of a filter. Other users of your account might be able to see the filter\'s name, depending on the actions that they\'re allowed to perform in Amazon Macie.</p>', 'CreateFindingsFilterResponse$Arn' => '<p>The Amazon Resource Name (ARN) of the filter that was created.</p>', 'CreateFindingsFilterResponse$Id' => '<p>The unique identifier for the filter that was created.</p>', 'CreateInvitationsRequest$Message' => '<p>A custom message to include in the invitation. Amazon Macie adds this message to the standard content that it sends for an invitation.</p>', 'CreateMemberResponse$Arn' => '<p>The Amazon Resource Name (ARN) of the account that was associated with the administrator account.</p>', 'CustomDataIdentifierSummary$Arn' => '<p>The Amazon Resource Name (ARN) of the custom data identifier.</p>', 'CustomDataIdentifierSummary$Description' => '<p>The custom description of the custom data identifier.</p>', 'CustomDataIdentifierSummary$Id' => '<p>The unique identifier for the custom data identifier.</p>', 'CustomDataIdentifierSummary$Name' => '<p>The custom name of the custom data identifier.</p>', 'CustomDetection$Arn' => '<p>The Amazon Resource Name (ARN) of the custom data identifier.</p>', 'CustomDetection$Name' => '<p>The name of the custom data identifier.</p>', 'DefaultDetection$Type' => '<p>The type of sensitive data that was detected. For example, AWS_CREDENTIALS, PHONE_NUMBER, or ADDRESS.</p>', 'DescribeBucketsRequest$NextToken' => '<p>The nextToken string that specifies which page of results to return in a paginated response.</p>', 'DescribeBucketsResponse$NextToken' => '<p>The string to use in a subsequent request to get the next page of results in a paginated response. This value is null if there are no additional pages.</p>', 'DescribeClassificationJobResponse$ClientToken' => '<p>The token that was provided to ensure the idempotency of the request to create the job.</p>', 'DescribeClassificationJobResponse$Description' => '<p>The custom description of the job.</p>', 'DescribeClassificationJobResponse$JobArn' => '<p>The Amazon Resource Name (ARN) of the job.</p>', 'DescribeClassificationJobResponse$JobId' => '<p>The unique identifier for the job.</p>', 'DescribeClassificationJobResponse$Name' => '<p>The custom name of the job.</p>', 'DomainDetails$DomainName' => '<p>The name of the domain.</p>', 'EnableMacieRequest$ClientToken' => '<p>A unique, case-sensitive token that you provide to ensure the idempotency of the request.</p>', 'EnableOrganizationAdminAccountRequest$AdminAccountId' => '<p>The Amazon Web Services account ID for the account to designate as the delegated Amazon Macie administrator account for the organization.</p>', 'EnableOrganizationAdminAccountRequest$ClientToken' => '<p>A unique, case-sensitive token that you provide to ensure the idempotency of the request.</p>', 'FederatedUser$AccessKeyId' => '<p>The Amazon Web Services access key ID that identifies the credentials.</p>', 'FederatedUser$AccountId' => '<p>The unique identifier for the Amazon Web Services account that owns the entity that was used to get the credentials.</p>', 'FederatedUser$Arn' => '<p>The Amazon Resource Name (ARN) of the entity that was used to get the credentials.</p>', 'FederatedUser$PrincipalId' => '<p>The unique identifier for the entity that was used to get the credentials.</p>', 'Finding$AccountId' => '<p>The unique identifier for the Amazon Web Services account that the finding applies to. This is typically the account that owns the affected resource.</p>', 'Finding$Description' => '<p>The description of the finding.</p>', 'Finding$Id' => '<p>The unique identifier for the finding. This is a random string that Amazon Macie generates and assigns to a finding when it creates the finding.</p>', 'Finding$Partition' => '<p>The Amazon Web Services partition that Amazon Macie created the finding in.</p>', 'Finding$Region' => '<p>The Amazon Web Services Region that Amazon Macie created the finding in.</p>', 'Finding$SchemaVersion' => '<p>The version of the schema that was used to define the data structures in the finding.</p>', 'Finding$Title' => '<p>The brief description of the finding.</p>', 'FindingsFilterListItem$Arn' => '<p>The Amazon Resource Name (ARN) of the filter.</p>', 'FindingsFilterListItem$Id' => '<p>The unique identifier for the filter.</p>', 'FindingsFilterListItem$Name' => '<p>The custom name of the filter.</p>', 'GetBucketStatisticsRequest$AccountId' => '<p>The unique identifier for the Amazon Web Services account.</p>', 'GetCustomDataIdentifierResponse$Arn' => '<p>The Amazon Resource Name (ARN) of the custom data identifier.</p>', 'GetCustomDataIdentifierResponse$Description' => '<p>The custom description of the custom data identifier.</p>', 'GetCustomDataIdentifierResponse$Id' => '<p>The unique identifier for the custom data identifier.</p>', 'GetCustomDataIdentifierResponse$Name' => '<p>The custom name of the custom data identifier.</p>', 'GetCustomDataIdentifierResponse$Regex' => '<p>The regular expression (<i>regex</i>) that defines the pattern to match.</p>', 'GetFindingsFilterResponse$Arn' => '<p>The Amazon Resource Name (ARN) of the filter.</p>', 'GetFindingsFilterResponse$Description' => '<p>The custom description of the filter.</p>', 'GetFindingsFilterResponse$Id' => '<p>The unique identifier for the filter.</p>', 'GetFindingsFilterResponse$Name' => '<p>The custom name of the filter.</p>', 'GetMacieSessionResponse$ServiceRole' => '<p>The Amazon Resource Name (ARN) of the service-linked role that allows Macie to monitor and analyze data in Amazon Web Services resources for the account.</p>', 'GetMemberResponse$AccountId' => '<p>The Amazon Web Services account ID for the account.</p>', 'GetMemberResponse$AdministratorAccountId' => '<p>The Amazon Web Services account ID for the administrator account.</p>', 'GetMemberResponse$Arn' => '<p>The Amazon Resource Name (ARN) of the account.</p>', 'GetMemberResponse$Email' => '<p>The email address for the account.</p>', 'GetMemberResponse$MasterAccountId' => '<p>(Deprecated) The Amazon Web Services account ID for the administrator account. This property has been replaced by the administratorAccountId property and is retained only for backward compatibility.</p>', 'GetUsageStatisticsRequest$NextToken' => '<p>The nextToken string that specifies which page of results to return in a paginated response.</p>', 'GetUsageStatisticsResponse$NextToken' => '<p>The string to use in a subsequent request to get the next page of results in a paginated response. This value is null if there are no additional pages.</p>', 'GroupCount$GroupKey' => '<p>The name of the property that defines the group in the query results, as specified by the groupBy property in the query request.</p>', 'IamUser$AccountId' => '<p>The unique identifier for the Amazon Web Services account that\'s associated with the IAM user who performed the action.</p>', 'IamUser$Arn' => '<p>The Amazon Resource Name (ARN) of the principal that performed the action. The last section of the ARN contains the name of the user who performed the action.</p>', 'IamUser$PrincipalId' => '<p>The unique identifier for the IAM user who performed the action.</p>', 'IamUser$UserName' => '<p>The user name of the IAM user who performed the action.</p>', 'InternalServerException$Message' => '<p>The explanation of the error that occurred.</p>', 'Invitation$AccountId' => '<p>The Amazon Web Services account ID for the account that sent the invitation.</p>', 'Invitation$InvitationId' => '<p>The unique identifier for the invitation. Amazon Macie uses this identifier to validate the inviter account with the invitee account.</p>', 'IpAddressDetails$IpAddressV4' => '<p>The Internet Protocol version 4 (IPv4) address of the device.</p>', 'IpCity$Name' => '<p>The name of the city.</p>', 'IpCountry$Code' => '<p>The two-character code, in ISO 3166-1 alpha-2 format, for the country that the IP address originated from. For example, US for the United States.</p>', 'IpCountry$Name' => '<p>The name of the country that the IP address originated from.</p>', 'IpOwner$Asn' => '<p>The autonomous system number (ASN) for the autonomous system that included the IP address.</p>', 'IpOwner$AsnOrg' => '<p>The organization identifier that\'s associated with the autonomous system number (ASN) for the autonomous system that included the IP address.</p>', 'IpOwner$Isp' => '<p>The name of the internet service provider (ISP) that owned the IP address.</p>', 'IpOwner$Org' => '<p>The name of the organization that owned the IP address.</p>', 'JobDetails$LastJobId' => '<p>The unique identifier for the job that ran most recently and is configured to analyze data in the bucket, either the latest run of a recurring job or the only run of a one-time job.</p> <p>This value is typically null if the value for the isDefinedInJob property is FALSE or UNKNOWN.</p>', 'JobSummary$JobId' => '<p>The unique identifier for the job.</p>', 'JobSummary$Name' => '<p>The custom name of the job.</p>', 'KeyValuePair$Key' => '<p>One part of a key-value pair that comprises a tag. A tag key is a general label that acts as a category for more specific tag values.</p>', 'KeyValuePair$Value' => '<p>One part of a key-value pair that comprises a tag. A tag value acts as a descriptor for a tag key. A tag value can be an empty string.</p>', 'ListClassificationJobsRequest$NextToken' => '<p>The nextToken string that specifies which page of results to return in a paginated response.</p>', 'ListClassificationJobsResponse$NextToken' => '<p>The string to use in a subsequent request to get the next page of results in a paginated response. This value is null if there are no additional pages.</p>', 'ListCustomDataIdentifiersRequest$NextToken' => '<p>The nextToken string that specifies which page of results to return in a paginated response.</p>', 'ListCustomDataIdentifiersResponse$NextToken' => '<p>The string to use in a subsequent request to get the next page of results in a paginated response. This value is null if there are no additional pages.</p>', 'ListFindingsFiltersResponse$NextToken' => '<p>The string to use in a subsequent request to get the next page of results in a paginated response. This value is null if there are no additional pages.</p>', 'ListFindingsRequest$NextToken' => '<p>The nextToken string that specifies which page of results to return in a paginated response.</p>', 'ListFindingsResponse$NextToken' => '<p>The string to use in a subsequent request to get the next page of results in a paginated response. This value is null if there are no additional pages.</p>', 'ListInvitationsResponse$NextToken' => '<p>The string to use in a subsequent request to get the next page of results in a paginated response. This value is null if there are no additional pages.</p>', 'ListMembersResponse$NextToken' => '<p>The string to use in a subsequent request to get the next page of results in a paginated response. This value is null if there are no additional pages.</p>', 'ListOrganizationAdminAccountsResponse$NextToken' => '<p>The string to use in a subsequent request to get the next page of results in a paginated response. This value is null if there are no additional pages.</p>', 'MatchingBucket$AccountId' => '<p>The unique identifier for the Amazon Web Services account that owns the bucket.</p>', 'MatchingBucket$BucketName' => '<p>The name of the bucket.</p>', 'Member$AccountId' => '<p>The Amazon Web Services account ID for the account.</p>', 'Member$AdministratorAccountId' => '<p>The Amazon Web Services account ID for the administrator account.</p>', 'Member$Arn' => '<p>The Amazon Resource Name (ARN) of the account.</p>', 'Member$Email' => '<p>The email address for the account.</p>', 'Member$MasterAccountId' => '<p>(Deprecated) The Amazon Web Services account ID for the administrator account. This property has been replaced by the administratorAccountId property and is retained only for backward compatibility.</p>', 'PutFindingsPublicationConfigurationRequest$ClientToken' => '<p>A unique, case-sensitive token that you provide to ensure the idempotency of the request.</p>', 'Record$JsonPath' => '<p>The path, as a JSONPath expression, to the sensitive data. For an Avro object container or Parquet file, this is the path to the field in the record (recordIndex) that contains the data. For a JSON or JSON Lines file, this is the path to the field or array that contains the data. If the data is a value in an array, the path also indicates which value contains the data.</p> <p>If Amazon Macie detects sensitive data in the name of any element in the path, Macie omits this field. If the name of an element exceeds 20 characters, Macie truncates the name by removing characters from the beginning of the name. If the resulting full path exceeds 250 characters, Macie also truncates the path, starting with the first element in the path, until the path contains 250 or fewer characters.</p>', 'ResourceNotFoundException$Message' => '<p>The explanation of the error that occurred.</p>', 'S3Bucket$Arn' => '<p>The Amazon Resource Name (ARN) of the bucket.</p>', 'S3Bucket$Name' => '<p>The name of the bucket.</p>', 'S3BucketDefinitionForJob$AccountId' => '<p>The unique identifier for the Amazon Web Services account that owns the buckets.</p>', 'S3BucketOwner$DisplayName' => '<p>The display name of the user who owns the bucket.</p>', 'S3BucketOwner$Id' => '<p>The Amazon Web Services account ID for the user who owns the bucket.</p>', 'S3Destination$BucketName' => '<p>The name of the bucket.</p>', 'S3Destination$KeyPrefix' => '<p>The path prefix to use in the path to the location in the bucket. This prefix specifies where to store classification results in the bucket.</p>', 'S3Destination$KmsKeyArn' => '<p>The Amazon Resource Name (ARN) of the Key Management Service (KMS) customer master key (CMK) to use for encryption of the results. This must be the ARN of an existing CMK that\'s in the same Amazon Web Services Region as the bucket.</p>', 'S3Object$BucketArn' => '<p>The Amazon Resource Name (ARN) of the bucket that contains the object.</p>', 'S3Object$ETag' => '<p>The entity tag (ETag) that identifies the affected version of the object. If the object was overwritten or changed after Amazon Macie produced the finding, this value might be different from the current ETag for the object.</p>', 'S3Object$Extension' => '<p>The file name extension of the object. If the object doesn\'t have a file name extension, this value is "".</p>', 'S3Object$Key' => '<p>The full key (name) that\'s assigned to the object.</p>', 'S3Object$Path' => '<p>The path to the object, including the full key (name).</p>', 'S3Object$VersionId' => '<p>The identifier for the affected version of the object.</p>', 'SearchResourcesRequest$NextToken' => '<p>The nextToken string that specifies which page of results to return in a paginated response.</p>', 'SearchResourcesResponse$NextToken' => '<p>The string to use in a subsequent request to get the next page of results in a paginated response. This value is null if there are no additional pages.</p>', 'SearchResourcesTagCriterionPair$Key' => '<p>The value for the tag key to use in the condition.</p>', 'SearchResourcesTagCriterionPair$Value' => '<p>The tag value to use in the condition.</p>', 'ServerSideEncryption$KmsMasterKeyId' => '<p>The Amazon Resource Name (ARN) or unique identifier (key ID) for the Key Management Service (KMS) customer master key (CMK) that\'s used to encrypt data in the bucket or the object. If an KMS CMK isn\'t used, this value is null.</p>', 'ServiceQuotaExceededException$Message' => '<p>The explanation of the error that occurred.</p>', 'SessionIssuer$AccountId' => '<p>The unique identifier for the Amazon Web Services account that owns the entity that was used to get the credentials.</p>', 'SessionIssuer$Arn' => '<p>The Amazon Resource Name (ARN) of the source account, IAM user, or role that was used to get the credentials.</p>', 'SessionIssuer$PrincipalId' => '<p>The unique identifier for the entity that was used to get the credentials.</p>', 'SessionIssuer$Type' => '<p>The source of the temporary security credentials, such as Root, IAMUser, or Role.</p>', 'SessionIssuer$UserName' => '<p>The name or alias of the user or role that issued the session. This value is null if the credentials were obtained from a root account that doesn\'t have an alias.</p>', 'SortCriteria$AttributeName' => '<p>The name of the property to sort the results by. This value can be the name of any property that Amazon Macie defines for a finding.</p>', 'TagCriterionPairForJob$Key' => '<p>The value for the tag key to use in the condition.</p>', 'TagCriterionPairForJob$Value' => '<p>The tag value to use in the condition.</p>', 'TagMap$member' => NULL, 'TagScopeTerm$Key' => '<p>The object property to use in the condition. The only valid value is TAG.</p>', 'TagValuePair$Key' => '<p>The value for the tag key to use in the condition.</p>', 'TagValuePair$Value' => '<p>The tag value, associated with the specified tag key (key), to use in the condition. To specify only a tag key for a condition, specify the tag key for the key property and set this value to an empty string.</p>', 'TestCustomDataIdentifierRequest$Regex' => '<p>The regular expression (<i>regex</i>) that defines the pattern to match. The expression can contain as many as 512 characters.</p>', 'TestCustomDataIdentifierRequest$SampleText' => '<p>The sample text to inspect by using the custom data identifier. The text can contain as many as 1,000 characters.</p>', 'ThrottlingException$Message' => '<p>The explanation of the error that occurred.</p>', 'UnprocessedAccount$AccountId' => '<p>The Amazon Web Services account ID for the account that the request applies to.</p>', 'UnprocessedAccount$ErrorMessage' => '<p>The reason why the request hasn\'t been processed.</p>', 'UpdateFindingsFilterRequest$ClientToken' => '<p>A unique, case-sensitive token that you provide to ensure the idempotency of the request.</p>', 'UpdateFindingsFilterRequest$Description' => '<p>A custom description of the filter. The description can contain as many as 512 characters.</p> <p>We strongly recommend that you avoid including any sensitive data in the description of a filter. Other users might be able to see the filter\'s description, depending on the actions that they\'re allowed to perform in Amazon Macie.</p>', 'UpdateFindingsFilterRequest$Name' => '<p>A custom name for the filter. The name must contain at least 3 characters and can contain as many as 64 characters.</p> <p>We strongly recommend that you avoid including any sensitive data in the name of a filter. Other users might be able to see the filter\'s name, depending on the actions that they\'re allowed to perform in Amazon Macie.</p>', 'UpdateFindingsFilterResponse$Arn' => '<p>The Amazon Resource Name (ARN) of the filter that was updated.</p>', 'UpdateFindingsFilterResponse$Id' => '<p>The unique identifier for the filter that was updated.</p>', 'UsageByAccount$EstimatedCost' => '<p>The estimated value for the metric.</p>', 'UsageRecord$AccountId' => '<p>The unique identifier for the Amazon Web Services account that the data applies to.</p>', 'UsageTotal$EstimatedCost' => '<p>The estimated value for the metric.</p>', 'UserIdentityRoot$AccountId' => '<p>The unique identifier for the Amazon Web Services account.</p>', 'UserIdentityRoot$Arn' => '<p>The Amazon Resource Name (ARN) of the principal that performed the action. The last section of the ARN contains the name of the user or role that performed the action.</p>', 'UserIdentityRoot$PrincipalId' => '<p>The unique identifier for the entity that performed the action.</p>', 'UserPausedDetails$JobImminentExpirationHealthEventArn' => '<p>The Amazon Resource Name (ARN) of the Health event that Amazon Macie sent to notify you of the job or job run\'s pending expiration and cancellation. This value is null if a job has been paused for less than 23 days.</p>', 'ValidationException$Message' => '<p>The explanation of the error that occurred.</p>', '__listOf__string$member' => NULL, ], ], '__timestampIso8601' => [ 'base' => NULL, 'refs' => [ 'ApiCallDetails$FirstSeen' => '<p>The first date and time, in UTC and extended ISO 8601 format, when any operation was invoked and produced the finding.</p>', 'ApiCallDetails$LastSeen' => '<p>The most recent date and time, in UTC and extended ISO 8601 format, when the specified operation (api) was invoked and produced the finding.</p>', 'BatchGetCustomDataIdentifierSummary$CreatedAt' => '<p>The date and time, in UTC and extended ISO 8601 format, when the custom data identifier was created.</p>', 'BucketMetadata$BucketCreatedAt' => '<p>The date and time, in UTC and extended ISO 8601 format, when the bucket was created.</p>', 'BucketMetadata$LastUpdated' => '<p>The date and time, in UTC and extended ISO 8601 format, when Amazon Macie most recently retrieved both bucket and object metadata from Amazon S3 for the bucket.</p>', 'CustomDataIdentifierSummary$CreatedAt' => '<p>The date and time, in UTC and extended ISO 8601 format, when the custom data identifier was created.</p>', 'DescribeClassificationJobResponse$CreatedAt' => '<p>The date and time, in UTC and extended ISO 8601 format, when the job was created.</p>', 'DescribeClassificationJobResponse$LastRunTime' => '<p>The date and time, in UTC and extended ISO 8601 format, when the job started. If the job is a recurring job, this value indicates when the most recent run started.</p>', 'Finding$CreatedAt' => '<p>The date and time, in UTC and extended ISO 8601 format, when the finding was created.</p>', 'Finding$UpdatedAt' => '<p>The date and time, in UTC and extended ISO 8601 format, when the finding was last updated. For sensitive data findings, this value is the same as the value for the createdAt property. All sensitive data findings are considered new (unique) because they derive from individual classification jobs.</p>', 'GetBucketStatisticsResponse$LastUpdated' => '<p>The date and time, in UTC and extended ISO 8601 format, when Amazon Macie most recently retrieved both bucket and object metadata from Amazon S3 for the buckets.</p>', 'GetCustomDataIdentifierResponse$CreatedAt' => '<p>The date and time, in UTC and extended ISO 8601 format, when the custom data identifier was created.</p>', 'GetMacieSessionResponse$CreatedAt' => '<p>The date and time, in UTC and extended ISO 8601 format, when the Amazon Macie account was created.</p>', 'GetMacieSessionResponse$UpdatedAt' => '<p>The date and time, in UTC and extended ISO 8601 format, of the most recent change to the status of the Macie account.</p>', 'GetMemberResponse$InvitedAt' => '<p>The date and time, in UTC and extended ISO 8601 format, when an Amazon Macie membership invitation was last sent to the account. This value is null if a Macie invitation hasn\'t been sent to the account.</p>', 'GetMemberResponse$UpdatedAt' => '<p>The date and time, in UTC and extended ISO 8601 format, of the most recent change to the status of the relationship between the account and the administrator account.</p>', 'Invitation$InvitedAt' => '<p>The date and time, in UTC and extended ISO 8601 format, when the invitation was sent.</p>', 'JobDetails$LastJobRunTime' => '<p>The date and time, in UTC and extended ISO 8601 format, when the job (lastJobId) started. If the job is a recurring job, this value indicates when the most recent run started.</p> <p>This value is typically null if the value for the isDefinedInJob property is FALSE or UNKNOWN.</p>', 'JobSummary$CreatedAt' => '<p>The date and time, in UTC and extended ISO 8601 format, when the job was created.</p>', 'Member$InvitedAt' => '<p>The date and time, in UTC and extended ISO 8601 format, when an Amazon Macie membership invitation was last sent to the account. This value is null if a Macie invitation hasn\'t been sent to the account.</p>', 'Member$UpdatedAt' => '<p>The date and time, in UTC and extended ISO 8601 format, of the most recent change to the status of the relationship between the account and the administrator account.</p>', 'S3Bucket$CreatedAt' => '<p>The date and time, in UTC and extended ISO 8601 format, when the bucket was created.</p>', 'S3Object$LastModified' => '<p>The date and time, in UTC and extended ISO 8601 format, when the object was last modified.</p>', 'SessionContextAttributes$CreationDate' => '<p>The date and time, in UTC and ISO 8601 format, when the credentials were issued.</p>', 'UsageRecord$FreeTrialStartDate' => '<p>The date and time, in UTC and extended ISO 8601 format, when the free trial started for the account.</p>', 'UserPausedDetails$JobExpiresAt' => '<p>The date and time, in UTC and extended ISO 8601 format, when the job or job run will expire and be cancelled if you don\'t resume it first.</p>', 'UserPausedDetails$JobPausedAt' => '<p>The date and time, in UTC and extended ISO 8601 format, when you paused the job.</p>', ], ], ],];
