<?php
// This file was auto-generated from sdk-root/src/data/s3outposts/2017-07-25/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>Amazon S3 on Outposts provides access to S3 on Outposts operations.</p>', 'operations' => [ 'CreateEndpoint' => '<p>Amazon S3 on Outposts Access Points simplify managing data access at scale for shared datasets in S3 on Outposts. S3 on Outposts uses endpoints to connect to Outposts buckets so that you can perform actions within your virtual private cloud (VPC). For more information, see <a href="https://docs.aws.amazon.com/AmazonS3/latest/userguide/AccessingS3Outposts.html"> Accessing S3 on Outposts using VPC only access points</a>.</p> <p>This action creates an endpoint and associates it with the specified Outposts.</p> <note> <p>It can take up to 5 minutes for this action to complete.</p> </note> <p/> <p>Related actions include:</p> <ul> <li> <p> <a href="https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_DeleteEndpoint.html">DeleteEndpoint</a> </p> </li> <li> <p> <a href="https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_ListEndpoints.html">ListEndpoints</a> </p> </li> </ul>', 'DeleteEndpoint' => '<p>Amazon S3 on Outposts Access Points simplify managing data access at scale for shared datasets in S3 on Outposts. S3 on Outposts uses endpoints to connect to Outposts buckets so that you can perform actions within your virtual private cloud (VPC). For more information, see <a href="https://docs.aws.amazon.com/AmazonS3/latest/userguide/AccessingS3Outposts.html"> Accessing S3 on Outposts using VPC only access points</a>.</p> <p>This action deletes an endpoint.</p> <note> <p>It can take up to 5 minutes for this action to complete.</p> </note> <p/> <p>Related actions include:</p> <ul> <li> <p> <a href="https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_CreateEndpoint.html">CreateEndpoint</a> </p> </li> <li> <p> <a href="https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_ListEndpoints.html">ListEndpoints</a> </p> </li> </ul>', 'ListEndpoints' => '<p>Amazon S3 on Outposts Access Points simplify managing data access at scale for shared datasets in S3 on Outposts. S3 on Outposts uses endpoints to connect to Outposts buckets so that you can perform actions within your virtual private cloud (VPC). For more information, see <a href="https://docs.aws.amazon.com/AmazonS3/latest/userguide/AccessingS3Outposts.html"> Accessing S3 on Outposts using VPC only access points</a>.</p> <p>This action lists endpoints associated with the Outposts. </p> <p/> <p>Related actions include:</p> <ul> <li> <p> <a href="https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_CreateEndpoint.html">CreateEndpoint</a> </p> </li> <li> <p> <a href="https://docs.aws.amazon.com/AmazonS3/latest/API/API_s3outposts_DeleteEndpoint.html">DeleteEndpoint</a> </p> </li> </ul>', ], 'shapes' => [ 'AccessDeniedException' => [ 'base' => '<p>Access was denied for this action.</p>', 'refs' => [], ], 'CidrBlock' => [ 'base' => NULL, 'refs' => [ 'Endpoint$CidrBlock' => '<p>The VPC CIDR committed by this endpoint.</p>', ], ], 'ConflictException' => [ 'base' => '<p>There was a conflict with this action, and it could not be completed.</p>', 'refs' => [], ], 'CreateEndpointRequest' => [ 'base' => NULL, 'refs' => [], ], 'CreateEndpointResult' => [ 'base' => NULL, 'refs' => [], ], 'CreationTime' => [ 'base' => NULL, 'refs' => [ 'Endpoint$CreationTime' => '<p>The time the endpoint was created.</p>', ], ], 'CustomerOwnedIpv4Pool' => [ 'base' => NULL, 'refs' => [ 'CreateEndpointRequest$CustomerOwnedIpv4Pool' => '<p>The ID of the customer-owned IPv4 pool for the endpoint. IP addresses will be allocated from this pool for the endpoint.</p>', 'Endpoint$CustomerOwnedIpv4Pool' => '<p>The ID of the customer-owned IPv4 pool used for the endpoint.</p>', ], ], 'DeleteEndpointRequest' => [ 'base' => NULL, 'refs' => [], ], 'Endpoint' => [ 'base' => '<p>Amazon S3 on Outposts Access Points simplify managing data access at scale for shared datasets in S3 on Outposts. S3 on Outposts uses endpoints to connect to Outposts buckets so that you can perform actions within your virtual private cloud (VPC). For more information, see <a href="https://docs.aws.amazon.com/AmazonS3/latest/userguide/AccessingS3Outposts.html"> Accessing S3 on Outposts using VPC only access points</a>.</p>', 'refs' => [ 'Endpoints$member' => NULL, ], ], 'EndpointAccessType' => [ 'base' => NULL, 'refs' => [ 'CreateEndpointRequest$AccessType' => '<p>The type of access for the on-premise network connectivity for the Outpost endpoint. To access the endpoint from an on-premises network, you must specify the access type and provide the customer owned IPv4 pool.</p>', 'Endpoint$AccessType' => '<p/>', ], ], 'EndpointArn' => [ 'base' => NULL, 'refs' => [ 'CreateEndpointResult$EndpointArn' => '<p>The Amazon Resource Name (ARN) of the endpoint.</p>', 'Endpoint$EndpointArn' => '<p>The Amazon Resource Name (ARN) of the endpoint.</p>', ], ], 'EndpointId' => [ 'base' => NULL, 'refs' => [ 'DeleteEndpointRequest$EndpointId' => '<p>The ID of the endpoint.</p>', ], ], 'EndpointStatus' => [ 'base' => NULL, 'refs' => [ 'Endpoint$Status' => '<p>The status of the endpoint.</p>', ], ], 'Endpoints' => [ 'base' => NULL, 'refs' => [ 'ListEndpointsResult$Endpoints' => '<p>Returns an array of endpoints associated with AWS Outposts.</p>', ], ], 'ErrorMessage' => [ 'base' => NULL, 'refs' => [ 'AccessDeniedException$Message' => NULL, 'ConflictException$Message' => NULL, 'InternalServerException$Message' => NULL, 'ResourceNotFoundException$Message' => NULL, 'ValidationException$Message' => NULL, ], ], 'InternalServerException' => [ 'base' => '<p>There was an exception with the internal server.</p>', 'refs' => [], ], 'ListEndpointsRequest' => [ 'base' => NULL, 'refs' => [], ], 'ListEndpointsResult' => [ 'base' => NULL, 'refs' => [], ], 'MaxResults' => [ 'base' => NULL, 'refs' => [ 'ListEndpointsRequest$MaxResults' => '<p>The max number of endpoints that can be returned on the request.</p>', ], ], 'NetworkInterface' => [ 'base' => '<p>The container for the network interface.</p>', 'refs' => [ 'NetworkInterfaces$member' => NULL, ], ], 'NetworkInterfaceId' => [ 'base' => NULL, 'refs' => [ 'NetworkInterface$NetworkInterfaceId' => '<p>The ID for the network interface.</p>', ], ], 'NetworkInterfaces' => [ 'base' => NULL, 'refs' => [ 'Endpoint$NetworkInterfaces' => '<p>The network interface of the endpoint.</p>', ], ], 'NextToken' => [ 'base' => NULL, 'refs' => [ 'ListEndpointsRequest$NextToken' => '<p>The next endpoint requested in the list.</p>', 'ListEndpointsResult$NextToken' => '<p>The next endpoint returned in the list.</p>', ], ], 'OutpostId' => [ 'base' => NULL, 'refs' => [ 'CreateEndpointRequest$OutpostId' => '<p>The ID of the AWS Outposts. </p>', 'DeleteEndpointRequest$OutpostId' => '<p>The ID of the AWS Outposts. </p>', 'Endpoint$OutpostsId' => '<p>The ID of the AWS Outposts.</p>', ], ], 'ResourceNotFoundException' => [ 'base' => '<p>The requested resource was not found.</p>', 'refs' => [], ], 'SecurityGroupId' => [ 'base' => NULL, 'refs' => [ 'CreateEndpointRequest$SecurityGroupId' => '<p>The ID of the security group to use with the endpoint.</p>', 'Endpoint$SecurityGroupId' => '<p>The ID of the security group used for the endpoint.</p>', ], ], 'SubnetId' => [ 'base' => NULL, 'refs' => [ 'CreateEndpointRequest$SubnetId' => '<p>The ID of the subnet in the selected VPC. The endpoint subnet must belong to the Outpost that has the Amazon S3 on Outposts provisioned.</p>', 'Endpoint$SubnetId' => '<p>The ID of the subnet used for the endpoint.</p>', ], ], 'ValidationException' => [ 'base' => '<p>There was an exception validating this data.</p>', 'refs' => [], ], 'VpcId' => [ 'base' => NULL, 'refs' => [ 'Endpoint$VpcId' => '<p>The ID of the VPC used for the endpoint.</p>', ], ], ],];
