<?php
// This file was auto-generated from sdk-root/src/data/sagemaker-edge/2020-09-23/docs-2.json
return [ 'version' => '2.0', 'service' => '<p>SageMaker Edge Manager dataplane service for communicating with active agents.</p>', 'operations' => [ 'GetDeviceRegistration' => '<p>Use to check if a device is registered with SageMaker Edge Manager.</p>', 'SendHeartbeat' => '<p>Use to get the current status of devices registered on SageMaker Edge Manager.</p>', ], 'shapes' => [ 'CacheTTLSeconds' => [ 'base' => NULL, 'refs' => [ 'GetDeviceRegistrationResult$CacheTTL' => '<p>The amount of time, in seconds, that the registration status is stored on the device’s cache before it is refreshed.</p>', ], ], 'DeviceFleetName' => [ 'base' => NULL, 'refs' => [ 'GetDeviceRegistrationRequest$DeviceFleetName' => '<p>The name of the fleet that the device belongs to.</p>', 'SendHeartbeatRequest$DeviceFleetName' => '<p>The name of the fleet that the device belongs to.</p>', ], ], 'DeviceName' => [ 'base' => NULL, 'refs' => [ 'GetDeviceRegistrationRequest$DeviceName' => '<p>The unique name of the device you want to get the registration status from.</p>', 'SendHeartbeatRequest$DeviceName' => '<p>The unique name of the device.</p>', ], ], 'DeviceRegistration' => [ 'base' => NULL, 'refs' => [ 'GetDeviceRegistrationResult$DeviceRegistration' => '<p>Describes if the device is currently registered with SageMaker Edge Manager.</p>', ], ], 'Dimension' => [ 'base' => NULL, 'refs' => [ 'EdgeMetric$Dimension' => '<p>The dimension of metrics published.</p>', ], ], 'EdgeMetric' => [ 'base' => '<p>Information required for edge device metrics.</p>', 'refs' => [ 'EdgeMetrics$member' => NULL, ], ], 'EdgeMetrics' => [ 'base' => NULL, 'refs' => [ 'Model$ModelMetrics' => '<p>Information required for model metrics.</p>', 'SendHeartbeatRequest$AgentMetrics' => '<p>For internal use. Returns a list of SageMaker Edge Manager agent operating metrics.</p>', ], ], 'ErrorMessage' => [ 'base' => NULL, 'refs' => [ 'InternalServiceException$Message' => NULL, ], ], 'GetDeviceRegistrationRequest' => [ 'base' => NULL, 'refs' => [], ], 'GetDeviceRegistrationResult' => [ 'base' => NULL, 'refs' => [], ], 'InternalServiceException' => [ 'base' => '<p>An internal failure occurred. Try your request again. If the problem persists, contact AWS customer support.</p>', 'refs' => [], ], 'Metric' => [ 'base' => NULL, 'refs' => [ 'EdgeMetric$MetricName' => '<p>Returns the name of the metric.</p>', ], ], 'Model' => [ 'base' => '<p>Information about a model deployed on an edge device that is registered with SageMaker Edge Manager.</p>', 'refs' => [ 'Models$member' => NULL, ], ], 'ModelName' => [ 'base' => NULL, 'refs' => [ 'Model$ModelName' => '<p>The name of the model.</p>', ], ], 'Models' => [ 'base' => NULL, 'refs' => [ 'SendHeartbeatRequest$Models' => '<p>Returns a list of models deployed on the the device.</p>', ], ], 'SendHeartbeatRequest' => [ 'base' => NULL, 'refs' => [], ], 'Timestamp' => [ 'base' => NULL, 'refs' => [ 'EdgeMetric$Timestamp' => '<p>Timestamp of when the metric was requested.</p>', 'Model$LatestSampleTime' => '<p>The timestamp of the last data sample taken.</p>', 'Model$LatestInference' => '<p>The timestamp of the last inference that was made.</p>', ], ], 'Value' => [ 'base' => NULL, 'refs' => [ 'EdgeMetric$Value' => '<p>Returns the value of the metric.</p>', ], ], 'Version' => [ 'base' => NULL, 'refs' => [ 'Model$ModelVersion' => '<p>The version of the model.</p>', 'SendHeartbeatRequest$AgentVersion' => '<p>Returns the version of the agent.</p>', ], ], ],];
